package com.xmt.gameet.controllers;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;

import com.xmt.gameet.entities.User;
import com.xmt.gameet.helpers.Utils;
import com.xmt.gameet.services.UserService;

@RequestMapping("file")
@RestController
public class FileUploadController {
	
	@Autowired
	@Qualifier("userService")
	UserService userService;
	
	@RequestMapping(value="/uploadFile", method=RequestMethod.POST )
    public @ResponseBody String singleSave(MultipartHttpServletRequest request,
    		@RequestParam(value="file") MultipartFile file,
    		@RequestParam(value="userId") Integer userId){
		if (!file.isEmpty()) {
            try {
                byte[] bytes = file.getBytes();
 
                File dir = new File(Utils.getImagePath() + File.separator + userId);
                System.out.println("DIRECTORIO: " + dir.getAbsolutePath());
                if (!dir.exists())
                    dir.mkdirs();
 
                // Create the file on server
                File serverFile = new File(dir.getAbsolutePath()
                        + File.separator + file.getOriginalFilename());
                BufferedOutputStream stream = new BufferedOutputStream(
                        new FileOutputStream(serverFile));
                stream.write(bytes);
                stream.close();
                User user = userService.getUser(userId);
                user.setAvatar(user.getId() + File.separator + file.getOriginalFilename());
                userService.updateUser(user);
                return "success";
            } catch (Exception e) {
                return "failure";
            }
        } else {
            return "failure";
        }
    }
	
	

}
