package com.xmt.gameet.entities;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;

@Entity
@Table(name="Game")
public class Game {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(length=11)
	private int id;
	
	@Column(nullable=false, unique=true, length=100)
	private String name;
	
	@Column(length=45)
	private String thumbnail;
	
	@Transient
	private Boolean addedByUser = false;
	
	@ManyToMany(fetch=FetchType.EAGER)
	@JoinTable(name="GameGenre", joinColumns={@JoinColumn(name="gameId")}, inverseJoinColumns={@JoinColumn(name="genreId")})
	private Set<Genre> genres;
	
	@ManyToMany(fetch=FetchType.EAGER)
	@JoinTable(name="GamePlatform", joinColumns={@JoinColumn(name="gameId")}, inverseJoinColumns={@JoinColumn(name="platformId")})
	private Set<Platform> platforms;
	
	@ManyToMany(fetch=FetchType.LAZY, mappedBy="gamesToPlay")
	private Set<User> users;
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getThumbnail() {
		return thumbnail;
	}

	public void setThumbnail(String thumbnail) {
		this.thumbnail = thumbnail;
	}

	public Set<Genre> getGenres() {
		return genres;
	}

	public Set<Platform> getPlatforms() {
		return platforms;
	}

	public void setPlatforms(Set<Platform> platforms) {
		this.platforms = platforms;
	}

	public void setGenres(Set<Genre> genres) {
		this.genres = genres;
	}
	
	@JsonIgnore
	public Set<User> getUsers() {
		return users;
	}

	public void setUsers(Set<User> users) {
		this.users = users;
	}

	public Boolean getAddedByUser() {
		return addedByUser;
	}

	public void setAddedByUser(Boolean addedByUser) {
		this.addedByUser = addedByUser;
	}
	
	
	/*@Override
	public boolean equals(Object obj){
		if(obj == null) return false;
		if(this == obj) return true;
		if(!(obj instanceof Game)) return false;
		
		final Game game = (Game) obj;
		return new EqualsBuilder().
				append(game.getId(), this.getId()).
				//append(game.getGenres(), this.getGenres()).
				//append(game.getName(), this.getName()).
				//append(game.getPlatforms(), this.getPlatforms()).
				//append(game.getThumbnail(), this.getThumbnail()).
				isEquals();
	}
	
	@Override
	public int hashCode(){
		return new HashCodeBuilder(17,31).
				append(this.getId()).
				//append(this.getGenres()).
				//append(this.getName()).
				//append(this.getPlatforms()).
				//append(this.getThumbnail()).
				toHashCode();
	}*/
	

}
