package com.xmt.gameet.entities;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;

@Entity
@Table(name="Genre")
public class Genre {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(length=11)
	private Integer id;
	
	@Column(nullable=false, unique=true, length=45)
	private String name;
	
	@Column(length=45)
	private String descriptionES;
	
	@Column(length=45)
	private String descriptionEN;

	@ManyToMany(fetch=FetchType.LAZY, mappedBy="genresPrefered")
	private Set<User> users;
	
	@Transient
	private Boolean addedByUser = false;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescriptionES() {
		return descriptionES;
	}

	public void setDescriptionES(String descriptionES) {
		this.descriptionES = descriptionES;
	}

	public String getDescriptionEN() {
		return descriptionEN;
	}

	public void setDescriptionEn(String descriptionEN) {
		this.descriptionEN = descriptionEN;
	}
	
	@JsonIgnore
	public Set<User> getUsers() {
		return users;
	}

	public void setUsers(Set<User> users) {
		this.users = users;
	}
	
	public Boolean getAddedByUser() {
		return addedByUser;
	}

	public void setAddedByUser(Boolean addedByUser) {
		this.addedByUser = addedByUser;
	}
	
	/*@Override
	public boolean equals(Object obj){
		if(obj == null) return false;
		if(this == obj) return true;
		if(!(obj instanceof Genre)) return false;
		
		final Genre game = (Genre) obj;
		return new EqualsBuilder().
				append(game.getId(), this.getId()).
				append(game.getDescriptionEN(), this.getDescriptionEN()).
				append(game.getDescriptionES(), this.getDescriptionES()).
				append(game.getName(), this.getName()).
				isEquals();
	}
	
	@Override
	public int hashCode(){
		return new HashCodeBuilder(17,31).
				append(this.getId()).
				append(this.getDescriptionEN()).
				append(this.getDescriptionES()).
				append(this.getName()).
				toHashCode();
	}
	*/
}
