package com.xmt.gameet.entities;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;

@Entity
@Table(name="Language")
public class Language {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(length=11)
	private int id;
	
	@Column(nullable=false, unique=true, length=45)
	private String name;
	
	@Column(length=100)
	private String flag;

	@ManyToMany(fetch=FetchType.LAZY, mappedBy="languages")
	private Set<User> users;
	
	@Transient
	private Boolean addedByUser = false;
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}
	
	@JsonIgnore
	public Set<User> getUsers() {
		return users;
	}

	public void setUsers(Set<User> users) {
		this.users = users;
	}
	
	public Boolean getAddedByUser() {
		return addedByUser;
	}

	public void setAddedByUser(Boolean addedByUser) {
		this.addedByUser = addedByUser;
	}
}
