package com.xmt.gameet.entities;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

import com.xmt.gameet.utils.DataBaseDataType;

@Entity
@Table(name="MessageMail")
public class MessageMail {

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(length=11)
	private int id;
	
	@Column(length=100, nullable=false)
	private String title;
	
	@Column(columnDefinition=DataBaseDataType.TEXT, nullable=false)
	private String message;
	
	@Column(columnDefinition=DataBaseDataType.DATE, nullable=false)
	@Temporal(TemporalType.TIMESTAMP)
	private Date sent;
	
	@Column(columnDefinition=DataBaseDataType.BOOLEAN_DEFAULT_FALSE, nullable=false)
	private boolean global;

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name="user1")
	private User user1;
	
	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name="user2")
	private User user2;
	
	@Column(columnDefinition=DataBaseDataType.BOOLEAN_DEFAULT_FALSE, nullable=false)
	private boolean status; 
	
	@Column(columnDefinition=DataBaseDataType.BOOLEAN_DEFAULT_FALSE, nullable=false)
	private boolean user1Deleted;
	
	@Column(columnDefinition=DataBaseDataType.BOOLEAN_DEFAULT_FALSE, nullable=false)
	private boolean user2Deleted; 
	
	@Transient
	private String parsedDate;
	
	@Transient
	private Integer toId;
	
	@Transient
	private String fromUserName;
	
	@Transient
	private String toUserName;
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Date getSent() {
		return sent;
	}

	public void setSent(Date sent) {
		this.sent = sent;
	}

	public boolean isGlobal() {
		return global;
	}

	public void setGlobal(boolean global) {
		this.global = global;
	}
	
	public Integer getUser1() {
		return user1.getId();
	}

	public void setUser1(User user1) {
		this.user1 = user1;
	}

	public Integer getUser2() {
		return user2.getId();
	}

	public void setUser2(User user2) {
		this.user2 = user2;
	}

	public boolean getStatus() {
		return status;
	}

	public void setRead(boolean status) {
		this.status = status;
	}

	public String getFromUserName() {
		return this.user1.getNickname();
	}

	public void setFromUserName(String userName) {
		this.fromUserName = userName;
	}

	public Integer getToId() {
		return toId;
	}

	public void setToId(Integer toId) {
		this.toId = toId;
	}

	public String getToUserName() {
		return this.user2.getNickname();
	}

	public String getToUserNameProp() {
		return toUserName;
	}
	
	public void setToUserName(String toUserName) {
		this.toUserName = toUserName;
	}

	public boolean isUser1Deleted() {
		return user1Deleted;
	}

	public void setUser1Deleted(boolean user1Deleted) {
		this.user1Deleted = user1Deleted;
	}

	public boolean isUser2Deleted() {
		return user2Deleted;
	}

	public void setUser2Deleted(boolean user2Deleted) {
		this.user2Deleted = user2Deleted;
	}

	public String getParsedDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyy HH:mm:ss");
		return sdf.format(this.sent);
	}

	public void setParsedDate(String parsedDate) {
		this.parsedDate = parsedDate;
	}
	
	
	
	
	
	
	
	
	
	
}
