package com.xmt.gameet.entities;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;

@Entity
@Table(name="Notification")
public class Notification {

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(length=11)
	private int id;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="user1",updatable=false)
	private User user1;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="user2",updatable=false)
	private User user2;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="game", updatable=false)
	private Game game;
	
	@Column(name = "day")
    @Temporal(TemporalType.TIMESTAMP)
	private Date day;
	
	@Column(name = "hour")
	private String hour;
	
	@Column(name = "status")
	private Integer status;
	
	@Transient
	private String user1Id;
	
	@Transient
	private String user1Nickname;
	
	@Transient
	private String user2Nickname;
	
	@Transient
	private String gameName;
	
	@Transient
	private String formatedDate;
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@JsonIgnore
	public User getUser1() {
		return user1;
	}

	public void setUser1(User user1) {
		this.user1 = user1;
	}

	@JsonIgnore
	public User getUser2() {
		return user2;
	}

	public void setUser2(User user2) {
		this.user2 = user2;
	}

	@JsonIgnore
	public Game getGame() {
		return game;
	}

	public void setGame(Game game) {
		this.game = game;
	}

	public Date getDay() {
		return day;
	}

	public void setDay(Date day) {
		this.day = day;
	}

	public String getHour() {
		return hour;
	}

	public void setHour(String hour) {
		this.hour = hour;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getUser1Id() {
		return user1Id;
	}

	public void setUser1Id(String user1Id) {
		this.user1Id = user1Id;
	}

	public String getUser1Nickname() {
		return this.user1.getNickname();
	}

	public void setUser1Nickname(String user1Nickname) {
		this.user1Nickname = user1Nickname;
	}

	public String getUser2Nickname() {
		return this.user2.getNickname();
	}

	public void setUser2Nickname(String user2Nickname) {
		this.user2Nickname = user2Nickname;
	}

	public String getGameName() {
		return this.game.getName();
	}

	public void setGameName(String gameName) {
		this.gameName = gameName;
	}

	public String getFormatedDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		String date = "";
		if(this.day != null){
			date = sdf.format(this.day);
		}
		return date;
	}

	public void setFormatedDate(String formatedDate) {
		this.formatedDate = formatedDate;
	}
	
	
	
	
	

	
	
	
	
}
