package com.xmt.gameet.entities;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;

@Entity
@Table(name="Platform")
public class Platform {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private Integer id;
	
	@Column(nullable=false, unique=true, length=45)
	private String name;
	
	@Column(length=100)
	private String description;

	@ManyToMany(fetch=FetchType.LAZY, mappedBy="platformsPrefered")
	private Set<User> users;
	
	@Transient
	private Boolean addedByUser = false;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	@JsonIgnore
	public Set<User> getUsers() {
		return users;
	}

	public void setUsers(Set<User> users) {
		this.users = users;
	}
	
	public Boolean getAddedByUser() {
		return addedByUser;
	}

	public void setAddedByUser(Boolean addedByUser) {
		this.addedByUser = addedByUser;
	}
	
	/*@Override
	public boolean equals(Object obj){
		if(obj == null) return false;
		if(this == obj) return true;
		if(!(obj instanceof Platform)) return false;
		
		final Platform game = (Platform) obj;
		return new EqualsBuilder().
				append(game.getId(), this.getId()).
				append(game.getDescription(), this.getDescription()).
				append(game.getName(), this.getName()).
				isEquals();
	}
	
	@Override
	public int hashCode(){
		return new HashCodeBuilder(17,31).
				append(this.getId()).
				append(this.getDescription()).
				append(this.getName()).
				toHashCode();
	}
	*/
}
