package com.xmt.gameet.entities;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Calendar;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;

@Entity
@Table(name="Timetable")
public class Timetable {

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(length=11)
	private int id;
	
	@Column(length=45)
	private String day;
	
	@Column(name = "initial_time")
	private Integer initialTime;
	
	@Transient
	private LocalDateTime initialTimeLocal;
	
	@Column(name = "ending_time")
	private Integer endingTime;
	
	@Transient
	private LocalDateTime endingTimeLocal;

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name="user")
	private User user;
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getDay() {
		return day;
	}

	public void setDay(String day) {
		this.day = day;
	}

	public Integer getInitialTime() {
		return initialTime;
	}

	public void setInitialTime(Integer initialTime) {
		this.initialTime = initialTime;
	}

	public LocalDateTime getInitialTimeLocal() {
		return initialTimeLocal;
	}

	public void setInitialTimeLocal(LocalDateTime initialTimeLocal) {
		this.initialTimeLocal = initialTimeLocal;
	}

	public Integer getEndingTime() {
		return endingTime;
	}

	public void setEndingTime(Integer endingTime) {
		this.endingTime = endingTime;
	}

	public LocalDateTime getEndingTimeLocal() throws ParseException {
		SimpleDateFormat sdf = new SimpleDateFormat("hh:mm");
		Calendar cal = Calendar.getInstance();
		cal.add(Calendar.MINUTE, this.endingTime);
		LocalDateTime ldt = LocalDateTime.ofInstant(cal.getTime().toInstant(), ZoneId.systemDefault());
		return ldt;
	}

	public void setEndingTimeLocal(LocalDateTime endingTimeLocal) {
		this.endingTimeLocal = endingTimeLocal;
	}

	@JsonIgnore
	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	
	
	
	
	
	
	
	
}
