package com.xmt.gameet.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.MappedSuperclass;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.xmt.gameet.utils.DataBaseDataType;

@MappedSuperclass
public abstract class UserRelation {

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(length=11)
	private int id;
	

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="user1",updatable = false)
	private User user1;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="user2",updatable = false)
	private User user2;
	


	@Column(columnDefinition=DataBaseDataType.BOOLEAN_DEFAULT_FALSE, nullable=false)
	private boolean toxic;
	
	@Column(columnDefinition=DataBaseDataType.BOOLEAN_DEFAULT_FALSE, nullable=false)
	private boolean recommendated;
	

	@ManyToOne
	@JoinColumn(name="parameter")
	private RecomendationParameter parameter;
	

	@Column(columnDefinition=DataBaseDataType.DATE, nullable=false)
	@Temporal(TemporalType.TIMESTAMP)
	private Date creationDate;

	
	@ManyToOne
	@JoinColumn(name="status")
	private RequestStatus status;
	
	@Transient
	private String user1Id;
	
	@Transient
	private String user1Nickname;
	
	@Transient
	private String user2Nickname;
	
	@Transient
	private String user2Avatar;


	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Integer getUser1Id() {
		return user1.getId();
	}
	@JsonIgnore
	public User getUser1() {
		return user1;
	}

	public void setUser1(User user1) {
		this.user1 = user1;
	}

	public Integer getUser2Id() {
		return user2.getId();
	}
	@JsonIgnore
	public User getUser2() {
		return user2;
	}

	public void setUser2(User user2) {
		this.user2 = user2;

	}

	public boolean isToxic() {
		return toxic;
	}

	public void setToxic(boolean toxic) {
		this.toxic = toxic;
	}

	public boolean isRecommendated() {
		return recommendated;
	}

	public void setRecommendated(boolean recommendated) {
		this.recommendated = recommendated;
	}


	public RecomendationParameter getParameter() {
		return parameter;
	}

	public void setParameter(RecomendationParameter parameter) {
		this.parameter = parameter;
	}


	public Date getCreationDate() {
		return creationDate;
	}

	public void setCreationDate(Date creationDate) {
		this.creationDate = creationDate;
	}


	public RequestStatus getStatus() {
		return status;
	}

	public void setStatus(RequestStatus status) {
		this.status = status;
	}

	public String getUser2Nickname() {
		return user2.getNickname();
	}

	public void setUser2Nickname(String user2Nickname) {
		this.user2Nickname = user2Nickname;
	}

	public String getUser2Avatar() {
		return user2.getAvatar();
	}

	public void setUser2Avatar(String user2Avatar) {
		this.user2Avatar = user2Avatar;
	}

	public String getUser1Nickname() {
		return user1.getNickname();
	}

	public void setUser1Nickname(String user1Nickname) {
		this.user1Nickname = user1Nickname;
	}
	
	
	
	

	

	
}
