package com.xmt.gameet.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Molaria que fuera un Enum.
 */

@Entity
@Table(name="UserType")
public class UserType {
	
	@Id
	@Column(length=11)
	private int id;
	
	@Column(nullable=false, unique=true, length=45)
	private String name;
	
	@Column(length=45)
	private String descriptionES;
	
	@Column(length=45)
	private String descriptionEN;
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescriptionEn() {
		return descriptionES;
	}

	public void setDescriptionEN(String descriptionEN) {
		this.descriptionES = descriptionEN;
	}
	
	public String getDescriptionES() {
		return descriptionEN;
	}

	public void setDescriptionEs(String descriptionES) {
		this.descriptionEN = descriptionES;
	}
	
	public enum Type{
		ADMIN(1),
		USER(2);
		
		private int id;
		
		private Type(int id){
			this.id = id;
		}
		
		public int getValue(){
			return id;
		}
	}
	
	public UserType(){
		
	}
	
	public UserType(Type type){
		this.id = type.getValue();
		this.name = type.name();
	}
	
	@Override
	public boolean equals(Object object){
		if(object instanceof UserType){
			if(((UserType) object).getId() == this.id){
				return true;
			}
			return false;
		}
		else{
			return super.equals(object);
		}
	}
	
}
