package com.xmt.gameet.helpers;

import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

import com.xmt.gameet.entities.User;


public class EmailSender {

	public static final String CONFIRMATION_SUBJ = "Gameet - Confirmacin de correo electrnico";
	public static final String FRIEND_INVITE = "Gameet - Peticin de amistad";
	public static final String EVENT_INVITE = "Gameet - Invitacin para jugar";
	public static final String PASSWORD_RECOVERY = "Gameet - Recuperacin de password";
	
	static Properties mailServerProperties;
	static Session getMailSession;
	static MimeMessage generateMailMessage;
	
	public static void sendEmail(String subject, String to, String body){
		try{
			mailServerProperties = System.getProperties();
			mailServerProperties.put("mail.smtp.port", "587");
			mailServerProperties.put("mail.smtp.auth", "true");
			mailServerProperties.put("mail.smtp.starttls.enable", "true");
	 
			getMailSession = Session.getDefaultInstance(mailServerProperties, null);
			generateMailMessage = new MimeMessage(getMailSession);
			generateMailMessage.addRecipient(Message.RecipientType.TO, new InternetAddress(to));
			generateMailMessage.setSubject(subject);
			generateMailMessage.setContent(body, "text/html");
	 
			Transport transport = getMailSession.getTransport("smtp");
	 
			transport.connect("smtp.gmail.com", "noreply.gameet@gmail.com", "slayers122");
			transport.sendMessage(generateMailMessage, generateMailMessage.getAllRecipients());
			transport.close();
		} catch(MessagingException ex){
			System.out.println("Error al generar el mensaje : " + ex.getStackTrace());
		}
	}
	
	public static String emailConfirmationBody(User user, String context){
		String body = "Bienvenido a Gameet!" 
				+ "<br>Gracias por registrarte en Gameet. Esperamos que puedas encontrar muchos "
				+ "usuarios con quien jugar utilizando nuestra plataforma."
				+ "<br><br>Los datos con los que has procedido a registrarte son los siguientes:"
				+ "<br><b>Email: </b>" + user.getEmail()
				+ "<br><b>Nickname: </b>" + user.getNickname()
				+ "<br><br>Para poder completar el registro, por favor confirma tu direccin de correo"
				+ "pulsando <a href='" + context + "/confirmEmail?id=" + user.getId() + "'>"
				+ "aqu</a>"
				+ "<br><br> Saludos, <br> Gameet.";
		
		return body;
	}
	
	public static String friendRequest(User user1,User user2, String context){
		String body = "Hola " + user1.getNickname() 
				+ "<br>Has recibido una nueva solicitud de amistad del usuario " + user2.getNickname()
				+ ", puedes aceptar o rechazar la solicitud directamente desde el <a href='" + context + "/user/profile'>portal</a>."
				+ "<br><br> Saludos, <br> Gameet.";
		
		return body;
	}
	
	public static String eventRequest(User user1,User user2, String context){
		String body = "Hola " + user1.getNickname() 
				+ "<br>Has recibido una invitacin para jugar del usuario " + user2.getNickname()
				+ ", puedes aceptar o rechazar la solicitud directamente desde el <a href='" + context + "/user/profile'>portal</a>."
				+ "<br><br> Saludos, <br> Gameet.";
		
		return body;
	}
	
	public static String passwordRecovery(User user1,String context){
		String body = "Hola " + user1.getNickname() 
				+ "<br>Se ha solicitado una recuperacin de contrasea de la cuenta vinculada a este correo electrnico"
				+ ", para hacer el cambio de contrasea dirijese a este <a href='" + context + "/passwordRecovery?userId=" + user1.getId() +"'>enlance</a>."
				+ "<br> Si usted no ha solicitado el cambio de contrasea, por favor ignore este correo y proceda a modificar su contrasea para ms seguridad."
				+ "<br><br> Saludos, <br> Gameet.";
		
		return body;
	}
}
