package com.xmt.gameet.repositories;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import com.xmt.gameet.entities.Timetable;
import com.xmt.gameet.entities.User;
import com.xmt.gameet.utils.BaseRepository;

public interface TimetableRepository extends BaseRepository<Timetable, Integer>{

	static final String DELETE_BY_USER = "DELETE FROM Timetable a WHERE a.user = :userId ";
	
	@Modifying
	@Transactional
	@Query(DELETE_BY_USER)
	public void deleteAllTimetableByUser(@Param("userId") User userId);
	
}
