package com.xmt.gameet.repositories;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import com.xmt.gameet.entities.User;
import com.xmt.gameet.utils.BaseRepository;

public interface UserRepository extends BaseRepository<User, Integer>{

	static final String SELECT_USER_BY_EMAIL = "SELECT a "
			+ "FROM User a "
			+ "WHERE a.email = :email";
	
	@Query(SELECT_USER_BY_EMAIL)
	public User findByEmail(@Param("email") String email);
	
	static final String CONFIRM_EMAIL = "UPDATE User a "
			+ "SET a.emailConfirmed = 1 "
			+ "WHERE a.id = :id";
	@Modifying 
	@Transactional
	@Query(CONFIRM_EMAIL)
	public int confirmMail(@Param("id") Integer id);
	

	
	
	
}
