package com.xmt.gameet.services;

import java.util.List;
import java.util.Map;

import com.xmt.gameet.entities.User;
import com.xmt.gameet.entities.UserRelation;
import com.xmt.gameet.entities.UserRelationActual;
import com.xmt.gameet.entities.UserRelationHistoric;
import com.xmt.gameet.entities.UserType;
import com.xmt.gameet.helpers.SearchFormModel;

public interface UserService {
	public User createUser(User user);
	public void deleteUser(User user);
	public List<User> getAllUsers();
	public User updateUser(User user);
	public User getUser(Integer id);
	public User findUserByCredentials(String email, String password);
	public List<User> getFriendList(Integer user);
	public User findUserByEmail(String email);
	public User registerUser(User user, String localAddr);
	public boolean confirmUserEmail(User user);
	public User getUserByNickname(String nickname);
	public UserRelationActual addNewUserRelation(UserRelationActual userRelation);
	public void deleteUserRelation(UserRelationActual userRelation);
	public List<UserRelation> getCurrentUserRelationsByUser(User user);
	public List<UserRelation> getHistoricUserRelationsByUser(User user);
	public UserRelationActual updateUserRelation(UserRelationActual userRelation);
	public UserRelationHistoric addNewUserRelationHistoric(UserRelationHistoric userRelationHistoric);
	public List<UserRelationActual> getPendingFriendRequest(Integer userId);
	public Map<String,String> verifyFirstRegistration(User user);
	public Map<String, String> verifyPasswords(User user);
	
	public UserType getUserType(Integer id);
	public List<User> searchUsers(SearchFormModel searchModel);
	
	
}
