package com.xmt.gameet.services.impl;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.cache.annotation.Cacheable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.domain.Specifications;
import org.springframework.stereotype.Service;

import com.xmt.gameet.entities.Game;
import com.xmt.gameet.repositories.GameRepository;
import com.xmt.gameet.services.GameService;
import com.xmt.gameet.specifications.GameSpecifications;

@Service("gameService")
public class GameServiceImpl implements GameService{

	@Resource
	private GameRepository gameRepository;
	
	public Game create(Game game) {
		// TODO Auto-generated method stub
		return null;
	}

	public Game delete(Game game) {
		// TODO Auto-generated method stub
		return null;
	}

	@Cacheable(value="gamesFindCache")
	public List<Game> getAllGames() {
		Specifications<Game> spec = Specifications.where(GameSpecifications.orderByName());
		return new ArrayList<Game>(gameRepository.findAll(spec));
	}

	public Game update(Game game) {
		// TODO Auto-generated method stub
		return null;
	}

	public Game getGame(Integer id) {
		return gameRepository.findOne(id);
	}

	public List<Game> searchGame(Specification<Game>[] specifications) {
		List<Game> result = null;
		Specifications<Game> spec = null;
		if(specifications != null && specifications.length > 0){
			spec = Specifications.where(specifications[0]);
			for(int i = 1 ; i < specifications.length ; i++){
				spec = spec.and(specifications[i]);
			}
			spec.and(GameSpecifications.orderByName());
			result = gameRepository.findAll(spec);
		}
		else{
			spec= Specifications.where(GameSpecifications.orderByName());
			result = gameRepository.findAll(spec);
		}
		return result;
	}

	public List<Game> getGamesByUser(Integer userId) {
		return gameRepository.findAll(GameSpecifications.addAddedUserFilter(userId));
	}

}
