package com.xmt.gameet.services.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.xmt.gameet.entities.MessageChat;
import com.xmt.gameet.entities.MessageMail;
import com.xmt.gameet.entities.MessageStatus;
import com.xmt.gameet.repositories.MessageChatRepository;
import com.xmt.gameet.repositories.MessageMailRepository;
import com.xmt.gameet.repositories.MessageStatusRepository;
import com.xmt.gameet.services.MessagingService;

@Service("messagingService")
public class MessagingServiceImpl implements MessagingService{

	@Resource
	private MessageChatRepository messagingChatRepository;
	
	@Resource
	private MessageMailRepository messagingMailRepository;
	
	@Resource
	private MessageStatusRepository messagingStatusRepository;
	
	public MessageMail createMessageMail(MessageMail messageMail) {
		return messagingMailRepository.saveAndFlush(messageMail);
	}

	public void deleteMessageMail(MessageMail messageMail) {
		messagingMailRepository.delete(messageMail);
	}

	public List<MessageMail> getAllMessageMail() {
		return messagingMailRepository.findAll();
	}

	public MessageMail updateMessageMail(MessageMail messageMail) {
		return messagingMailRepository.saveAndFlush(messageMail);
	}

	public MessageMail getMessageMail(Integer id) {
		return messagingMailRepository.findOne(id);
	}

	public MessageChat createMessageChat(MessageChat messageChat) {
		return messagingChatRepository.saveAndFlush(messageChat);
	}

	public void deleteMessageChat(MessageChat messageChat) {
		messagingChatRepository.delete(messageChat);
	}

	public List<MessageChat> getAllMessageChat() {
		return messagingChatRepository.findAll();
	}

	public MessageChat updateMessageChat(MessageChat messageChat) {
		return messagingChatRepository.saveAndFlush(messageChat);
	}

	public MessageChat getMessageChat(Integer id) {
		return messagingChatRepository.findOne(id);
	}

	public MessageStatus createMessageStatus(MessageStatus messageStatus) {
		return messagingStatusRepository.save(messageStatus);
	}

	public void deleteMessageStatus(MessageStatus messageStatus) {
		messagingStatusRepository.delete(messageStatus);
	}

	public List<MessageStatus> getAllMessageStatus() {
		return messagingStatusRepository.findAll();
	}

	public MessageStatus updateMessageStatus(MessageStatus messageStatus) {
		return messagingStatusRepository.saveAndFlush(messageStatus);
	}

	public MessageStatus getMessageStatus(Integer id) {
		return messagingStatusRepository.findOne(id);
	}

	
	
}
