package com.xmt.gameet.services.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.xmt.gameet.entities.Notification;
import com.xmt.gameet.repositories.NotificationRepository;
import com.xmt.gameet.services.NotificationService;
import com.xmt.gameet.specifications.NotificationSpecifications;

@Service("notificationService")
@Transactional
public class NotificationServiceImpl implements NotificationService{

	@Resource
	private NotificationRepository notificationRepository;
	
	public Notification create(Notification notification) {
		notification = notificationRepository.saveAndFlush(notification);
		if(notification != null){
			notification.getGame().getId();
			notification.getUser1().getId();
			notification.getUser2().getId();
		}
		return notification;
	}

	public void delete(Notification notification) {
		notificationRepository.delete(notification);
	}

	public List<Notification> getAllNotifications() {
		return notificationRepository.findAll();
	}

	public Notification update(Notification notification) {
		notification = notificationRepository.saveAndFlush(notification);
		if(notification != null){
			notification.getGame().getId();
			notification.getUser1().getId();
			notification.getUser2().getId();
		}
		return notification;
	}

	public Notification getNotification(Integer id) {
		Notification notification = notificationRepository.findOne(id);
		if(notification != null){
			notification.getGame().getId();
			notification.getUser1().getId();
			notification.getUser2().getId();
		}
		return notification;
	}

	public List<Notification> getNotificationsPending(Integer userId) {
		List<Notification>  notifications = notificationRepository.findAll(NotificationSpecifications.getPendingNotifications(userId));
		if(notifications != null){
			for(Notification notif : notifications){
				notif.getGame().getId();
				notif.getUser1().getId();
				notif.getUser2().getId();
			}
		}
		return notifications;
	}

}
