package com.xmt.gameet.services.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import com.xmt.gameet.entities.RecomendationParameter;
import com.xmt.gameet.repositories.RecomendationParameterRepository;
import com.xmt.gameet.services.RecomendationParameterService;

@Service("recomendationParameterService")
public class RecomendationParameterServiceImpl implements RecomendationParameterService {

	@Resource
	private RecomendationParameterRepository recomendationParameterRepository;
	
	public RecomendationParameter create(RecomendationParameter recomendationParameter) {
		return recomendationParameterRepository.saveAndFlush(recomendationParameter);
	}

	public void delete(RecomendationParameter recomendationParameter) {
		recomendationParameterRepository.delete(recomendationParameter);
	}

	@Cacheable(value="recommendationParamterCache")
	public List<RecomendationParameter> getAllRecomendationParameters() {
		return recomendationParameterRepository.findAll();
	}

	public RecomendationParameter update(RecomendationParameter recomendationParameter) {
		return recomendationParameterRepository.saveAndFlush(recomendationParameter);
	}

	public RecomendationParameter getRecomendationParameter(Integer id) {
		return recomendationParameterRepository.findOne(id);
	}

}
