package com.xmt.gameet.services.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import com.xmt.gameet.entities.RequestStatus;
import com.xmt.gameet.repositories.RequestStatusRepository;
import com.xmt.gameet.services.RequestStatusService;

@Service("requestStatusService")
public class RequestStatusServiceImpl implements RequestStatusService{

	@Resource
	private RequestStatusRepository requestStatusRepository;
	
	public RequestStatus create(RequestStatus requestStatus) {
		return requestStatusRepository.saveAndFlush(requestStatus);
	}

	public void delete(RequestStatus requestStatus) {
		requestStatusRepository.delete(requestStatus);
	}

	@Cacheable(value="requestStatusCache")
	public List<RequestStatus> getAllRequestStatus() {
		return requestStatusRepository.findAll();
	}

	public RequestStatus update(RequestStatus requestStatus) {
		return requestStatusRepository.saveAndFlush(requestStatus);
	}

	public RequestStatus getRequestStatus(Integer id) {
		return requestStatusRepository.findOne(id);
	}

}
