package com.xmt.gameet.services.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.xmt.gameet.entities.Timetable;
import com.xmt.gameet.entities.User;
import com.xmt.gameet.repositories.TimetableRepository;
import com.xmt.gameet.services.TimetableService;

@Service("timetableService")
public class TimetableServiceImpl implements TimetableService{

	@Resource
	private TimetableRepository timetableRepository;
	
	public Timetable create(Timetable timeTable) {
		return timetableRepository.saveAndFlush(timeTable);
	}

	public void delete(Timetable timeTable) {
		timetableRepository.delete(timeTable);
	}

	public List<Timetable> getAllTimetables() {
		return timetableRepository.findAll();
	}

	public Timetable update(Timetable timeTable) {
		return timetableRepository.saveAndFlush(timeTable);
	}

	public Timetable getTimetable(Integer id) {
		return timetableRepository.findOne(id);
	}

	public void deleteAllByUser(User userId) {
		timetableRepository.deleteAllTimetableByUser(userId);
	}

}
