package com.xmt.gameet.services.impl;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

import com.xmt.gameet.entities.User;
import com.xmt.gameet.helpers.Utils;
import com.xmt.gameet.repositories.UserRepository;
import com.xmt.gameet.services.UserLoginService;
import com.xmt.gameet.specifications.UserSpecifications;

@Service("userLoginService")
public class UserLoginServiceImpl implements UserLoginService {

	@Resource
	private UserRepository userRepository;

	public UserDetails loadUserByUsername(String email) throws UsernameNotFoundException {
		User user = userRepository.findOne(UserSpecifications.addEmailFilter(email));
		if(user == null){
			System.out.println("User not found");
            throw new UsernameNotFoundException("User not found");
		}
		return new org.springframework.security.core.userdetails.User(user.getEmail(), user.getPassword(), 
                user.isEmailConfirmed(), true, true, true, getGrantedAuthorities(user));
	}
	
	private List<GrantedAuthority> getGrantedAuthorities(User user){
        List<GrantedAuthority> authorities = new ArrayList<GrantedAuthority>();
        System.out.println("UserProfile : "+ user.getType().getName());
        authorities.add(new SimpleGrantedAuthority("ROLE_"+user.getType().getName()));
        return authorities;
    }

	
	
}
