package com.xmt.gameet.specifications;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Join;
import javax.persistence.criteria.JoinType;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;

import org.springframework.data.jpa.domain.Specification;

import com.xmt.gameet.entities.Notification;
import com.xmt.gameet.entities.User;
import com.xmt.gameet.entities.UserRelationActual;
import com.xmt.gameet.entities.User_;

public class NotificationSpecifications {

	
	public static Specification<Notification> getPendingNotifications(final Integer userId){
		return new Specification<Notification>(){

			public Predicate toPredicate(Root<Notification> root, CriteriaQuery<?> query, CriteriaBuilder cb) {
				Predicate predicate =  cb.conjunction();
				query.distinct(true);
				
				Join<UserRelationActual,User> join = root.join("user2", JoinType.INNER);
				predicate.getExpressions().add(join.get(User_.id).in(userId));
				predicate.getExpressions().add(cb.equal(root.get("status"), 1));
				return predicate;
			}
			
		};
	}
	
	
	
}
