package com.xmt.gameet.specifications;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Join;
import javax.persistence.criteria.JoinType;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;

import org.springframework.data.jpa.domain.Specification;

import com.xmt.gameet.entities.RequestStatus;
import com.xmt.gameet.entities.RequestStatus_;
import com.xmt.gameet.entities.User;
import com.xmt.gameet.entities.UserRelationActual;
import com.xmt.gameet.entities.User_;

public class UserRelationActualSpecifications {

	
	public static Specification<UserRelationActual> getPendingRelations(final Integer userId){
		return new Specification<UserRelationActual>(){

			public Predicate toPredicate(Root<UserRelationActual> root, CriteriaQuery<?> query, CriteriaBuilder cb) {
				Predicate predicate =  cb.conjunction();
				query.distinct(true);
				
				Join<UserRelationActual,User> join = root.join("user2", JoinType.INNER);
				predicate.getExpressions().add(join.get(User_.id).in(userId));
				
				Join<UserRelationActual,RequestStatus> joinRS = root.join("status", JoinType.INNER);
				Integer pendingStatus = 1;
				predicate.getExpressions().add(joinRS.get(RequestStatus_.id).in(pendingStatus));
				return predicate;
			}
			
		};
	}
	
	
	
}
