<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title>Gameet</title>
	<!--  jQuery-UI CSS -->
	<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css">
    <!-- Bootstrap core CSS -->
    <spring:url value="/resources/css/bootstrap.min.css" var="mainCss" />
	<link href="${mainCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/customStyles.css" var="customCss" />
	<link href="${customCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/messagesStyles.css" var="messagesCss" />
	<link href="${messagesCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/fixedDownMenu.css" var="downMenuCss" />
	<link href="${downMenuCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/userViewStyles.css" var="userViewCss" />
	<link href="${userViewCss}" rel="stylesheet" />
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
	<spring:url value="/resources/images" var="imagesFolder" />
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><img src="/gaming/resources/images/logo_gameet.png"/></a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
         <ul class="nav navbar-nav">
            <li><a href="/gaming/search"><img width="20" height="20" src="/gaming/resources/images/icons/search.png"/>Buscar Jugadores</a></li>
            <li><a href="/gaming/events"><img width="20" height="20" src="/gaming/resources/images/icons/calendar.png"/>Eventos</a></li>
            <li class="active"><a href="/gaming/inbox"><img width="20" height="20" src="/gaming/resources/images/icons/mail2.png"/>Bandeja</a></li>
            <li><a href="/gaming/user/profile"><img width="20" height="20" src="/gaming/resources/images/icons/cog.png"/>Configuración</a></li>
            <li><a href="/gaming/logout"><img width="20" height="20" src="/gaming/resources/images/icons/exit.png"/></a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    	<div class="row">
    		<div class="col-md-3 left-menu">
   				<ul id="menu">
   				
				  <li class="active" id="menuReceived">Recibidos</li>
				  <li class="last" id="menuSent">Enviados</li>
				</ul>
				<div class="message-list">
    				<table class="receivedMessagesTable">
    					<c:set var="row" scope="session" value="1"/>
    					<c:forEach items="${authenticatedUser.messagesReceived}" var="message" varStatus="status">
    						<c:if test="${message.user2Deleted == false}">
	    						<tr class="messageRow row${row} ${status.first ? 'selectedRow' : ''}" id="message-${message.id}">
	    							<td width="20%">${message.fromUserName}</td>
	    							<td width="40%">${message.title}</td>
	    							<td width="40%"><fmt:formatDate value="${message.sent}" pattern="dd-MM-yyyy HH:mm:ss " /></td>
	    						</tr>
	    						<c:choose>
								    <c:when test="${row == 1}">
								       <c:set var="row" scope="session" value="2"/>
								    </c:when>    
								    <c:otherwise>
								        <c:set var="row" scope="session" value="1"/>
								    </c:otherwise>
								</c:choose>
	    					</c:if>
    					</c:forEach>
    				</table>
    				<table class="sentMessagesTable">
    					<c:set var="row" scope="session" value="1"/>
    					<c:forEach items="${authenticatedUser.messagesSent}" var="message" varStatus="status">
    						<c:if test="${message.user1Deleted == false}">
	    						<tr class="messageRow row${row} ${status.first ? 'selectedRow' : ''}" id="message-${message.id}">
	    							<td width="20%">${message.toUserName}</td>
	    							<td width="40%">${message.title}</td>
	    							<td width="40%"><fmt:formatDate value="${message.sent}" pattern="HH:mm:ss dd-MM-yyyy" /></td>
	    						</tr>
	    						<c:choose>
								    <c:when test="${row == 1}">
								       <c:set var="row" scope="session" value="2"/>
								    </c:when>    
								    <c:otherwise>
								        <c:set var="row" scope="session" value="1"/>
								    </c:otherwise>
								</c:choose>
	    					</c:if>
    					</c:forEach>
    				</table>
    			</div> 
    		</div>
    		<div class="col-md-9">
    			<div id="viewMessageReceived">
    				<input type="button" class="button newMessageButton" value="Nuevo Mensaje"/>
	    			<c:if test="${noMessages == false}">
		    			<hr>
		    			<b>Asunto: </b><span class="messageTitle"><c:out value="${messageReceived.title}"/></span><br>
		    			<b>De: </b> <span class="messageFrom">${messageReceived.fromUserName}</span><br>
		    			<b>Fecha: </b> <span class="messageDate"><fmt:formatDate value="${messageReceived.sent}" pattern="HH:mm:ss dd-MM-yyyy" /></span>
		    			<input type="button" class="button rightAlign answer" id="answer-${messageReceived.id}" value="Responder"/>
		    			<input type="button" class="button rightAlign delete" id="delete-${messageReceived.id}"value="Eliminar"/>
		    			<hr>
		    			<p class="messageContent">${messageReceived.message}</p>
		    		</c:if>
		    		<c:if test="${noMessages == true}">
		    			<hr>
		    			No tienes ningún mensaje.
		    		</c:if>
	    		</div>
	    		<div id="viewMessageSent">
	    			<input type="button" class="button newMessageButton" value="Nuevo Mensaje"/>
	    			<hr>
	    			<b>Asunto: </b><span class="messageTitle"></span><br>
	    			<b>A: </b> <span class="messageFrom"></span><br>
	    			<b>Fecha: </b> <span class="messageDate"></span>
	    			<input type="button" class="button rightAlign delete" value="Eliminar"/>
	    			<hr>
	    			<p class="messageContent"></p>
	    		</div>
	    		<div id="newMessageDiv">
	    			<h2>Nuevo mensaje</h2>
	    			<spring:url value="/inbox/sendMessage" var="sendMessage" />
	    			<form:form action="${sendMessage}" commandName="newMessage">
	    				<form:label class="form-label" path="title">Asunto: </form:label>
	       				<form:input cssErrorClass="error" id="messageTitle" class="form-label" path="title" size="30" maxlength="100"/>
	       				<c:if test="${not empty titleError}">
	       					<span class="error">${titleError}</span>
	       				</c:if>
	       				<br>
	       				<form:label class="form-label" path="toUserName">Para: </form:label>
	       				<form:input cssErrorClass="error" id="for-input" class="form-label" path="toUserName" size="30" maxlength="100"/>
	       				<c:if test="${not empty userNameError}">
	       					<span class="error">${userNameError}</span>
	       				</c:if>
	       				<br>
	       				<div class="response">
	       					<label>Mensaje anterior:</label><br>
	       					<textarea name="textarea" rows="10" cols="50" id="responseText" disabled></textarea>
	       				</div>
	       				<form:label class="form-label" path="message">Contenido: </form:label><br>
	       				<c:if test="${not empty contentError}">
	       					<span class="error">${contentError}</span>
	       				</c:if>
	       				<form:textarea cssErrorClass="error" class="form-label" path="message" rows="10" cols="50"/>
	       				<br>
	       				<input class="button" type="submit" value="Enviar">
	    			</form:form> 
	    		</div>
	    		<input type="hidden" id="toThisUser" value="${toThisUser}"/>
	    		<input type="hidden" id="isNewMessage" value="${isNewMessage}"/>
	    		<input type="hidden" id="userId" value="${authenticatedUser.id}"/>
       			<input type="hidden" id="csrfName" value="${_csrf.parameterName}" />
	    		<input type="hidden" id="csrfToken" value="${_csrf.token}" />
    		</div>
    	</div>	
    </div><!-- /.container -->
	<div class="down-menu">
		<div class="emergent-menu notification-list">
			<div class="header">
				<span>Notificaciones</span>
			</div>
			<div class="content">
				
			</div>
		</div>
		<div class="emergent-menu friend-list">
			<div class="header">
				<span>Lista de amigos (0/100)</span>
			</div>
			<div class="content">
				
			</div>
		</div>
		<div class="numberCircle">
			
		</div>
		<div class="icon-container">
	    	<svg class="icon icon-bell" id="notifications-button"><use xlink:href="#icon-bell"></use></svg>
	    	<svg class="icon icon-users" id="friendlist-button"><use xlink:href="#icon-users"></use></svg>
	    </div>
    </div>
	<div id="dialog">
		<div class="img">
			<img src='/gaming/resources/images/question_mark.png'/>
		</div>
		<div class="personalInfo">
			<label class="labelText">País:</label><span>España</span><br>
			<label class="labelText">Edad:</label><span>23</span><br>
			<label class="labelText">Nombre:</label><span>Xavi</span><br>
			<label class="labelText">Apellidos:</label><span>Medina Torregrosa</span><br>
			<label class="labelText">Zona horaria:</label><span>GMT +2</span><br>
		</div>
		<div class="relationsInfo">
			<label class="labelText">Géneros preferidos:</label><span>Acción, FPS, RTS</span><br>
			<label class="labelText">Plataformas preferidas:</label><span>PS4, Steam</span><br>
		</div>
		<div class="timetable">
			<span class="labelText">
				Horario:
			</span>
			<table class="timetable">
				<tr class="header">
					<td>Lunes</td>
					<td>Martes</td>
					<td>Miercoles</td>
					<td>Jueves</td>
					<td>Viernes</td>
					<td>Sábado</td>
					<td>Domingo</td>
				<tr>
				<tr>
					<td>10:30-11:00</td>
					<td>12:00-13:00</td>
					<td></td>
					<td>17:00-18:00</td>
					<td>
						19:00-20:00
					</td>
					<td></td>
					<td></td>
				</tr>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td>20:00-24:00</td>
					<td></td>
					<td></td>
					<td></td>
				</tr>
				
			</table>
		</div>
		<input type="button" id="sendPrivateMessage" value="Enviar mensaje privado"/>
		<input type="button" id="addFriend" value="Añadir como amigo"/>
	</div>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
    <spring:url value="/resources/js/bootstrap.min.js" var="mainJs" />   
    <script src="${mainJs}"></script>
    <spring:url value="/resources/js/custom/messages.js" var="messagesJS" /> 
    <script src="${messagesJS}"></script> 
    <spring:url value="/resources/js/custom/fixedDownMenu.js" var="downMenuJs" /> 
    <script src="${downMenuJs}"></script> 
    <spring:url value="/resources/js/custom/userViewDialog.js" var="userViewJs" /> 
    <script src="${userViewJs}"></script> 
    <spring:url value="/resources/js/custom/friendlistActions.js" var="friendlistJs" /> 
    <script src="${friendlistJs}"></script>
  </body>
</html>

