<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title>Gameet</title>
	<!--  jQuery-UI CSS -->
	<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css">
    <!-- Bootstrap core CSS -->
    <spring:url value="/resources/css/bootstrap.min.css" var="mainCss" />
	<link href="${mainCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/customStyles.css" var="customCss" />
	<link href="${customCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/profileMenuStyles.css" var="profileMenuCss" />
	<link href="${profileMenuCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/timetable.css" var="timetableCss" />
	<link href="${timetableCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/fixedDownMenu.css" var="downMenuCss" />
	<link href="${downMenuCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/userViewStyles.css" var="userViewCss" />
	<link href="${userViewCss}" rel="stylesheet" />
	
	
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><img src="/gaming/resources/images/logo_gameet.png"/></a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li><a href="/gaming/search"><img width="20" height="20" src="/gaming/resources/images/icons/search.png"/>Buscar Jugadores</a></li>
            <li><a href="/gaming/events"><img width="20" height="20" src="/gaming/resources/images/icons/calendar.png"/>Eventos</a></li>
            <li><a href="/gaming/inbox"><img width="20" height="20" src="/gaming/resources/images/icons/mail2.png"/>Bandeja</a></li>
            <li class="active"><a href="/gaming/user/profile"><img width="20" height="20" src="/gaming/resources/images/icons/cog.png"/>Configuración</a></li>
            <li><a href="/gaming/logout"><img width="20" height="20" src="/gaming/resources/images/icons/exit.png"/></a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    	<div class="row">
    		<div class="col-md-2 left-menu">
    			<h4>Perfil</h4>
    			<div class="menu-item active" id="menuInfo"><span>Información básica</span></div> 
    			<div class="menu-item" id="menuJuegos"><span>Juegos</span></div>
    			<div class="menu-item" id="menuGeneros"><span>Géneros y Plataformas</span></div>
    			<div class="menu-item" id="menuAvatar"><span>Avatar</span></div>
    			<div class="menu-item" id="menuIdiomas"><span>Idiomas</span></div>
    			<div class="menu-item" id="menuNotificaciones"><span>Notificaciones</span></div>
    			<div class="menu-item" id="menuHorario"><span>Horario</span></div>
    		</div>
    		<div class="col-md-10">
    			<div class="success">
    				Los cambios se han guardado correctamente.
    			</div>
    			<div class="accountComplete">
		    		<p>Tu cuenta todavia está incompleta, asegurate de tener la siguiente información completada para poder utilizar el portal correctamente:</p>
		    		<ul>
		    			<li>Información básica</li>
		    			<li>Almenos un género seleccionado</li>
		    			<li>Almenos una plataforma seleccionada</li>
		    			<li>Almenos un idioma seleccionado</li>
		    		</ul>
		    	</div>	
    			<div class="failure">
    				Se ha producido un error al guardar los cambios.
    			</div>
    			<div class="content" id="informacion_basica">
    				<h2>Configuración del perfil - Información básica</h2>
	    			<spring:url value="/user/save" var="saveUrl" />
	    			<form:form method="POST" action="${saveUrl}" commandName="authenticatedUser">
	    				<br>
	    				<form:label path="name">Nombre: </form:label>
	    				<form:input path="name"  cssErrorClass="error"/>
	    				<form:errors path="name" cssClass="error"></form:errors>
	    				<br>
	    				<form:label path="surname">Apellidos: </form:label>
	    				<form:input path="surname" cssErrorClass="error"/>
	    				<form:errors path="surname" cssClass="error"></form:errors>
	    				<br>
	    				<form:label path="email">Email: </form:label>
	    				<form:input disabled="true" path="email" cssErrorClass="error"/>
	    				<form:errors path="email"  cssClass="error"></form:errors>
	    				<br>
	    				<form:label path="country">País: </form:label>
	    				<form:select cssErrorClass="error" path="country.id" items="${countries}"  itemLabel="name" itemValue="id"/>
	    				<form:errors path="country" cssClass="error"></form:errors>
	    				<br>
	    				<form:label path="age">Edad:</form:label>
	    				<form:input id="age" path="age" cssErrorClass="error"/>
	    				<form:errors path="age" cssClass="error"></form:errors>
	    				<br>
	    				<form:label path="nickname">Nickname:</form:label>
	    				<form:input path="nickname" cssErrorClass="error"/>
	    				<form:errors path="nickname" cssClass="error"></form:errors>
	    				<br>
	    				<h2 class="subtitle">Cambiar contraseña</h2>
	    				<form:label path="confirmedPassword">Contraseña: </form:label>
	       				<form:input id="password" path="confirmedPassword" type="password"/>
	       				<c:if test="${not empty passwordError}">
	       					<span class="error">${passwordError}</span>
	       				</c:if>
	       				<br>
	       				<form:label path="newPassword">Nueva Contraseña: </form:label>
	       				<form:input id="newPassword" path="newPassword" type="password"/> 
	       				<c:if test="${not empty passwordError}">
	       					<span class="error">${newPasswordError}</span>
	       				</c:if>
	       				<br>
	       				<form:label path="repeatedPassword">Repetir Contraseña: </form:label>
	       				<form:input path="repeatedPassword" type="password"/> 
	       				<br>
	       				<input type="hidden" id="passwordError" value="${passwordError}"/>
	       				<input type="hidden" id="newPasswordError" value="${newPasswordError}"/>
	       				<input class="button" type="submit" value="Guardar">
	    			</form:form>
	    		</div>
	    		<div class="content" id="juegos">
	    			<h2>Configuración del perfil - Juegos</h2>
	    			<p>Selecciona los juegos a los que quieres jugar, estos juegos seran utilizados en las búsquedas para sugerirte usuarios similares y para que aparezcas en las búsquedas de otros usuarios así como los géneros a los que pertenece y plataforma.</p>
	    			<p><b>Filtro</b></p>
	    			<form id="gameFilter">
	    				<input type="text" id="inputGame" name="game" placeholder="Buscar juego..."/>
	    				<span>Género:</span>
	    				<select id="selectGenre" name="genre">
	    					<option value="0">Selecciona un género</option>
	    					<c:forEach items="${genres}" var="genre" varStatus="status">
	    						<option value="${genre.id}">${genre.name}</option>
	    					</c:forEach>
	    				</select>
	    				<span>Plataforma:</span>
	    				<select id="selectPlatform" name="platform">
	    				<option value="0">Selecciona una plataforma</option>
	    					<c:forEach items="${platforms}" var="platform" varStatus="status">
	    						<option value="${platform.id}">${platform.name}</option>
	    					</c:forEach>
	    				</select>
	    				<input class="button" type="button" type="submit" value="Buscar" id="gameFilterSubmit">
	    				<br>
	    				<input class="checkbox" type="checkbox" name="alreadyAdded" value="true"/><span class="checkboxSpan">Solo juegos ya añadidos</span>
	    				<input class="checkbox" type="checkbox" name="notAdded" value="true"/><span class="checkboxSpan">Solo juegos no añadidos</span>
	    			</form>
	    			<div class="tableContainer">
		    			<table id="gamesTable">
		    				<tr class="header">
		    					<td colspan="3" width="35%">Nombre</td>
		    					<td colspan="2" width="25%">Géneros</td>
		    					<td colspan="1" width="15%">Plataforma</td>
		    					<td colspan="1" width="15%">Acciones</td>
		    				</tr>
		    			</table>
		    		</div>
	    		</div>
	    		<div class="content" id="generos">
	    			<h2>Configuración del perfil - Generos y Plataformas</h2>
	    			<p>Selecciona los idiomas que domines para utilizarlos en las búsquedas de usuario.</p>
	    			<div class="col-md-6">
	    				<p><b>Filtro</b></p>
	    				<form id="genreFilter">
	    					<input type="text" id="inputGenre" name="genre" placeholder="Buscar género..."/>
	    					<input class="button" type="button" type="submit" value="Buscar" id="genreFilterSubmit">
	    					<br>
		    				<input class="checkbox" type="checkbox" name="alreadyAdded" value="true"/><span class="checkboxSpan">Solo géneros ya añadidos</span>
		    				<input class="checkbox" type="checkbox" name="notAdded" value="true"/><span class="checkboxSpan">Solo géneros no añadidos</span>
	    				</form>
	    				<div class="tableContainer">
			    			<table id="genresTable">
			    				<tr class="header">
			    					<td colspan="3" width="75%">Género</td>
			    					<td colspan="2" width="25%">Acciones</td>
			    				</tr>
			    			</table>
			    		</div>
	    			</div>
	    			<div class="col-md-6">
	    				<p><b>Filtro</b></p>
	    				<form id="platformFilter">
	    					<input type="text" id="inputPlatform" name="genre" placeholder="Buscar platforma..."/>
	    					<input class="button" type="button" type="submit" value="Buscar" id="plataformaFilterSubmit">
	    					<br>
		    				<input class="checkbox" type="checkbox" name="alreadyAdded" value="true"/><span class="checkboxSpan">Solo plataformas ya añadidas</span>
		    				<input class="checkbox" type="checkbox" name="notAdded" value="true"/><span class="checkboxSpan">Solo plataformas no añadidas</span>
	    				</form>
	    				<div class="tableContainer">
			    			<table id="platformsTable">
			    				<tr class="header">
			    					<td colspan="3" width="75%">Plataforma</td>
			    					<td colspan="2" width="25%">Acciones</td>
			    				</tr>
			    			</table>
			    		</div>
	    			</div>
	    		</div>
	    		<div class="content" id="avatar">
	    			<h2>Configuración del perfil - Avatar</h2>
	    			<p>Selecciona la imagen que se usará como tu imagen de perfil para el resto de usuarios. </p>
	    			<c:if test="${not empty authenticatedUser.avatar}">
	    				<img id="avatarImg" width="200px" height="200px" src="/gaming/user/avatar/${authenticatedUser.id}">
	    			</c:if>
	    			<c:if test="${empty authenticatedUser.avatar}">
	    				<img id="avatarImg" width="200px" height="200px" src="/gaming/resources/images/question_mark.png">
	    			</c:if>
	    			<form method="POST" enctype="multipart/form-data" id="uploadfile">
				        <input placeholder="Selecciona la imagen a subir" type="file" name="file" accept="image/*" class="filestyle" data-classButton="btn btn-primary" data-input="true" data-classIcon="icon-plus" data-buttonText="Examinar...">
				        <br>
				        <input class="button" type="submit" value="Guardar">
				    </form>
	    		</div>
	    		<div class="content" id="idiomas">
	    			<h2>Configuración del perfil - Idiomas</h2>
	    			<p>Selecciona los idiomas que domines para utilizarlos en las búsquedas de usuario.</p>
	    			<div class="col-md-6">
	    				<p><b>Filtro</b></p>
	    				<form id="languageFilter">
	    					<input type="text" id="inputLanguage" name="language" placeholder="Buscar language..."/>
	    					<input class="button" type="button" type="submit" value="Buscar" id="languageFilterSubmit">
	    					<br>
		    				<input class="checkbox" type="checkbox" name="alreadyAdded" value="true"/><span class="checkboxSpan">Solo géneros ya añadidos</span>
		    				<input class="checkbox" type="checkbox" name="notAdded" value="true"/><span class="checkboxSpan">Solo géneros no añadidos</span>
	    				</form>
	    				<div class="tableContainer">
			    			<table id="languageTable">
			    				<tr class="header">
			    					<td colspan="3" width="75%">Idioma</td>
			    					<td colspan="2" width="25%">Acciones</td>
			    				</tr>
			    			</table>
			    		</div>
	    			</div>
	    		</div>
	    		<div class="content" id="notificaciones">
	    			<h2>Configuración del perfil - Notificaciones</h2>
	    			<p>Configuración de las notificaciones de tu cuenta al correo electrónico</p>
	    			<form method="POST" id="notificationForm">
	    				<input type="checkbox" id="notificationsFriends" name="notificationsFriends" ${authenticatedUser.notificationsFriends ? "checked" : ""}"/><label>Recibir notificaciones por peticiones de amistad</label>
	    				<br>
	       				<input type="checkbox" id="notificationsEvents" name="notificationsEvents" ${authenticatedUser.notificationsEvents ? "checked" : ""}/><label>Recibir notificaciones sobre invitaciones de eventos</label>
	       				<br>
	       				<input type="checkbox" id="notificationsNews" name="notificationsNews" ${authenticatedUser.notificationsNews ? "checked" : ""}/><label>Recibir notificaciones de las novedades del portal</label>
	       				<br>
	       				<input type="checkbox" id="notificationsMessages" name="notificationsMessages" ${authenticatedUser.notificationsMessages ? "checked" : ""}/><label>Recibir notificaciones al recibir un mensaje</label>
	       				<br>
	       				<input class="button" type="button" id="notificationSubmit" value="Guardar">
	    			</form>
	    		</div>
	    		<div class="content" id="horario">
	    			<h2>Configuración del perfil - Horario</h2>
	    			<table id="timetable">
	    				<tr class="timetable-header">
	    					<td></td>
	    					<td width="12%">Lunes</td>
	    					<td width="12%">Martes</td>
	    					<td width="12%">Miercoles</td>
	    					<td width="12%">Jueves</td>
	    					<td width="12%">Viernes</td>
	    					<td width="12%">Sábado</td>
	    					<td width="12%">Domingo</td>
	    				</tr>
	    			</table>
	    			<input type="button" class="button" id="saveTimetable" value="Guardar"/>
	    		</div>
	    		<input type="hidden" id="success" value="${success}"/>
	    		<input type="hidden" id="userId" value="${authenticatedUser.id}"/>
	    		<input type="hidden" id="csrfName" value="${_csrf.parameterName}" />
	    		<input type="hidden" id="csrfToken" value="${_csrf.token}" />
	    		<input type="hidden" id="profileComplete" value="${profileComplete}" />
    		</div>
    	</div>
    </div><!-- /.container -->
	<div class="down-menu">
		<div class="emergent-menu notification-list">
			<div class="header">
				<span>Notificaciones</span>
			</div>
			<div class="content">
				
			</div>
		</div>
		<div class="emergent-menu friend-list">
			<div class="header">
				<span>Lista de amigos (0/100)</span>
			</div>
			<div class="content">
				
			</div>
		</div>
		<div class="numberCircle">
			
		</div>
		<div class="icon-container">
	    	<svg class="icon icon-bell" id="notifications-button"><use xlink:href="#icon-bell"></use></svg>
	    	<svg class="icon icon-users" id="friendlist-button"><use xlink:href="#icon-users"></use></svg>
	    </div>
    </div>
	<div id="dialog">
		<div class="img">
			<img src='/gaming/resources/images/question_mark.png'/>
		</div>
		<div class="personalInfo">
			<label class="labelText">País:</label><span>España</span><br>
			<label class="labelText">Edad:</label><span>23</span><br>
			<label class="labelText">Nombre:</label><span>Xavi</span><br>
			<label class="labelText">Apellidos:</label><span>Medina Torregrosa</span><br>
			<label class="labelText">Zona horaria:</label><span>GMT +2</span><br>
		</div>
		<div class="relationsInfo">
			<label class="labelText">Géneros preferidos:</label><span>Acción, FPS, RTS</span><br>
			<label class="labelText">Plataformas preferidas:</label><span>PS4, Steam</span><br>
		</div>
		<div class="timetable">
			<span class="labelText">
				Horario:
			</span>
			<table class="timetable">
				<tr class="header">
					<td>Lunes</td>
					<td>Martes</td>
					<td>Miercoles</td>
					<td>Jueves</td>
					<td>Viernes</td>
					<td>Sábado</td>
					<td>Domingo</td>
				<tr>
				<tr>
					<td>10:30-11:00</td>
					<td>12:00-13:00</td>
					<td></td>
					<td>17:00-18:00</td>
					<td>
						19:00-20:00
					</td>
					<td></td>
					<td></td>
				</tr>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td>20:00-24:00</td>
					<td></td>
					<td></td>
					<td></td>
				</tr>
				
			</table>
		</div>
		<input type="button" id="sendPrivateMessage" value="Enviar mensaje privado"/>
		<input type="button" id="addFriend" value="Añadir como amigo"/>
	</div>
    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
    <spring:url value="/resources/js/bootstrap.min.js" var="mainJs" />  
    <script src="${mainJs}"></script>
    <spring:url value="/resources/js/bootstrap-filestyle.min.js" var="fileStypeJs" />  
    <script src="${fileStypeJs}"></script>
    <spring:url value="/resources/js/custom/profile.js" var="profileJs" />  
    <script src="${profileJs}"></script>
    <spring:url value="/resources/js/custom/timetable.js" var="timetableJs" />  
    <script src="${timetableJs}"></script>  
    <spring:url value="/resources/js/custom/fixedDownMenu.js" var="downMenuJs" /> 
    <script src="${downMenuJs}"></script> 
    <spring:url value="/resources/js/custom/userViewDialog.js" var="userViewJs" /> 
    <script src="${userViewJs}"></script> 
    <spring:url value="/resources/js/custom/friendlistActions.js" var="friendlistJs" /> 
    <script src="${friendlistJs}"></script> 
  </body>
</html>

