<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title>Gameet</title>
	<!--  jQuery-UI CSS -->
	<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css">
    <!-- Bootstrap core CSS -->
    <spring:url value="/resources/css/bootstrap.min.css" var="mainCss" />
	<link href="${mainCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/customStyles.css" var="customCss" />
	<link href="${customCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/leftMenuStyles.css" var="leftMenuCss" />
	<link href="${leftMenuCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/searchStyles.css" var="searchCss" />
	<link href="${searchCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/fixedDownMenu.css" var="downMenuCss" />
	<link href="${downMenuCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/userViewStyles.css" var="userViewCss" />
	<link href="${userViewCss}" rel="stylesheet" />
	
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
	<spring:url value="/resources/images" var="imagesFolder" />
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><img src="/gaming/resources/images/logo_gameet.png"/></a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/gaming/search"><img width="20" height="20" src="/gaming/resources/images/icons/search.png"/>Buscar Jugadores</a></li>
            <li><a href="/gaming/events"><img width="20" height="20" src="/gaming/resources/images/icons/calendar.png"/>Eventos</a></li>
            <li><a href="/gaming/inbox"><img width="20" height="20" src="/gaming/resources/images/icons/mail2.png"/>Bandeja</a></li>
            <li><a href="/gaming/user/profile"><img width="20" height="20" src="/gaming/resources/images/icons/cog.png"/>Configuración</a></li>
            <li><a href="/gaming/logout"><img width="20" height="20" src="/gaming/resources/images/icons/exit.png"/></a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    	<div class="row">
    		<div class="col-md-3 left-menu">
    			<form id="searchForm" method="POST" action="/example/testSearch"> 
	    			<h4>Opciones de búsqueda</h4>
	       			<hr>
	       			<h5 class="section-header">Información básica</h5>
	       			<label class="form-label" for="nickname">Nickname: </label>
	       			<input class="form-input" name="nickname"/> 
	       			<br>
	       			<label class="form-label">Edad:</label>
	       			<label class="label-from" for="ageFrom">de </label>
	       			<input type="number" min="1" max="110" class="input-from" name="ageFrom" size="3"/> 
	       			<label class="label-from" for="ageTo">a </label>
	       			<input type="number" min="1" max="110" class="input-from" name="ageTo" size="3"/> 
	       			<br>
	       			<label class="form-label" for="language">Idioma: </label>
	       			<select class="form-input" name="language" multiple>
    					<c:forEach items="${languages}" var="language" varStatus="status">
    						<option value="${language.id}">${language.name}</option>
    					</c:forEach>
	       			</select>
	       			<hr>
	       			<h5 class="section-header">Juego</h5>
	       			<label class="form-label" for="platforms">Plataforma: </label>
	       			<select class="form-input" name="platforms">
	       				<option value="0">Selecciona una plataforma</option>
    					<c:forEach items="${platforms}" var="platform" varStatus="status">
    						<option value="${platform.id}">${platform.name}</option>
    					</c:forEach>
	       			</select>
	       			<br>
	       			<label class="form-label" for="genres">Genero: </label>
	       			<select class="form-input" name="genres">
	       				<option value="0">Selecciona un género</option>
    					<c:forEach items="${genres}" var="genre" varStatus="status">
    						<option value="${genre.id}">${genre.descriptionES}</option>
    					</c:forEach>
	       			</select>
	       			<br>
	       			<label class="form-label" for="games">Juego:</label>
	       			<select class="form-input" name="games">
	       				<option value="0">Selecciona un juego</option>
	       				<c:forEach items="${games}" var="game" varStatus="status">
    						<option value="${game.id}">${game.name}</option>
    					</c:forEach>
	       			</select>
	       			<hr>
	       			<h5 class="section-header">Horario</h5>
	       			<div class="vertical primary">
	       				<c:forEach items="${days}" var="day" varStatus="status">
    						<input type="checkbox" class="dayCheckbox" name="day-${day.code}" value="${day.code}"/><span>${day.name}</span><br>
    					</c:forEach>
    					<input type="checkbox" id="anyDay" name="day-Any" value="Any" checked/><span>Cualquier Día</span><br>
    				</div>
       				<div class="vertical secondary">
       					<label class="label-from" for="hourFrom">Desde </label> <br>
       					<input type="time" class="input-from hourInput" name="hourFrom" size="7"/> <br>
       					<label class="label-from" for="nicknameTo">Hasta </label><br>
       					<input type="time" class="input-from hourInput" name="hourTo" size="7"/> <br><br>
       					<input type="checkbox" id="anyHour" name="anyHour" value="true" checked/><label>Cualquier hora</label>
       				</div>
       				<hr>
       				<input type="hidden" id="userId" value="${authenticatedUser.id}"/>
       				<input type="hidden" id="csrfName" value="${_csrf.parameterName}" />
	    			<input type="hidden" id="csrfToken" value="${_csrf.token}" />
       				<input class="button" type="button" id="searchFormButton" value="Buscar">
       				<input class="button" type="button" id="searchUserButton" value="Buscar usuarios parecidos">
       			</form>
    		</div>
    		<div class="col-md-9">
    			<h2>Resultados de la búsqueda:</h2>
    			<div id="loading">
    				<p>Cargando resultados...</p>
    				<img src="/gaming/resources/images/ajax-loader.gif" />
    			</div>
    			<div id="searchResult">
    			</div>
    			<div id="dialog">
    				<div class="img">
    					<img src='/gaming/resources/images/question_mark.png'/>
    				</div>
    				<div class="personalInfo">
    					<label class="labelText">País:</label><span>España</span><br>
    					<label class="labelText">Edad:</label><span>23</span><br>
    					<label class="labelText">Nombre:</label><span>Xavi</span><br>
    					<label class="labelText">Apellidos:</label><span>Medina Torregrosa</span><br>
    					<label class="labelText">Zona horaria:</label><span>GMT +2</span><br>
    				</div>
    				<div class="relationsInfo">
    					<label class="labelText">Géneros preferidos:</label><span>Acción, FPS, RTS</span><br>
    					<label class="labelText">Plataformas preferidas:</label><span>PS4, Steam</span><br>
    				</div>
    				<div class="timetable">
    					<span class="labelText">
    						Horario:
    					</span>
    					<table class="timetable">
    						<tr class="header">
    							<td>Lunes</td>
    							<td>Martes</td>
    							<td>Miercoles</td>
    							<td>Jueves</td>
    							<td>Viernes</td>
    							<td>Sábado</td>
    							<td>Domingo</td>
    						<tr>
    						<tr>
    							<td>10:30-11:00</td>
    							<td>12:00-13:00</td>
    							<td></td>
    							<td>17:00-18:00</td>
    							<td>
    								19:00-20:00
    							</td>
    							<td></td>
    							<td></td>
    						</tr>
    						<tr>
    							<td></td>
    							<td></td>
    							<td></td>
    							<td>20:00-24:00</td>
    							<td></td>
    							<td></td>
    							<td></td>
    						</tr>
    						
    					</table>
    				</div>
    				<input type="button" id="sendPrivateMessage" value="Enviar mensaje privado"/>
    				<input type="button" id="addFriend" value="Añadir como amigo"/>
    			</div>
    		</div>
    	</div>	
    </div><!-- /.container -->
	<div class="down-menu">
		<div class="emergent-menu notification-list">
			<div class="header">
				<span>Notificaciones</span>
			</div>
			<div class="content">
				
			</div>
		</div>
		<div class="emergent-menu friend-list">
			<div class="header">
				<span>Lista de amigos (0/100)</span>
			</div>
			<div class="content">
				
			</div>
		</div>
		<div class="numberCircle">
			
		</div>
		<div class="icon-container">
	    	<svg class="icon icon-bell" id="notifications-button"><use xlink:href="#icon-bell"></use></svg>
	    	<svg class="icon icon-users" id="friendlist-button"><use xlink:href="#icon-users"></use></svg>
	    </div>
    </div>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
    <spring:url value="/resources/js/bootstrap.min.js" var="mainJs" />   
    <script src="${mainJs}"></script>
    <spring:url value="/resources/js/custom/search.js" var="searchJs" /> 
    <script src="${searchJs}"></script> 
    <spring:url value="/resources/js/custom/fixedDownMenu.js" var="downMenuJs" /> 
    <script src="${downMenuJs}"></script> 
    <spring:url value="/resources/js/custom/userViewDialog.js" var="userViewJs" /> 
    <script src="${userViewJs}"></script> 
  </body>
</html>

