<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title>Gameet</title>
	<!--  jQuery-UI CSS -->
	<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css">
    <!-- Bootstrap core CSS -->
    <spring:url value="/resources/css/bootstrap.min.css" var="mainCss" />
	<link href="${mainCss}" rel="stylesheet" />
	<!--  Custom CSS -->
	<spring:url value="/resources/css/custom/customStyles.css" var="customCss" />
	<link href="${customCss}" rel="stylesheet" />
	<spring:url value="/resources/css/custom/loginStyles.css" var="loginCss" />
	<link href="${loginCss}" rel="stylesheet" />
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
	<div id="mask">
    </div>
    <div class="container">
    	<div class="row">
    		<div class="col-md-6">
    			<img class="logo" src="/gaming/resources/images/logo_gameet.png"/>
    		</div>
    		<div class="col-md-6">
    			<div class="form-login">
    				<spring:url value="/login" var="loginUrl" />
    				<form method="POST" action="${loginUrl}"> 
    					<c:if test='${not empty SPRING_SECURITY_LAST_EXCEPTION}'>
						    <span class="error">Email/Contraseña Invalidos.</span><br>
						</c:if>
    					<label class="form-label" for="sec_email">Email: </label>
	       				<input type="text" class="form-label" name="sec_email" size="30" placeholder="Correo electrónico" required/>
	       				<br> 
    					<label class="form-label" for="sec_password">Contraseña: </label>
	       				<input class="form-label" type="password" name="sec_password" size="30" placeholder="Contraseña" required/> 
	       				<br>
	       				<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
	       				<a id="passwordRecovery" href="">¿Ha olvidado la contraseña?</a>
	       				<input class="button" type="submit" value="Login">
    				</form>
    			</div>
    			<div class="form-login">
    				<p>¿Nuevo en Gameet? ¡Registrate y comienza a buscar gamers!</p>
    				<spring:url value="/register" var="registerUrl" />
    				<form:form method="POST" action="${registerUrl}" commandName="registrationForm"> 
    					<c:if test='${not empty registration}'>
						    <span class="success">Su cuenta ha sido creada correctamente, se le ha enviado un correo a su cuenta para confirmar el registro</span><br>
						</c:if>
    					<c:if test='${not empty emailError}'>
						    <span class="error">${emailError}</span><br>
						</c:if>
    					<form:label class="form-label" path="email">Email: </form:label>
	       				<form:input cssErrorClass="error" class="form-label" path="email" size="30" maxlength="100" placeholder="Correo electrónico"/>
	       				<br>
	       				<c:if test='${not empty passwordError}'>
						    <span class="error">${passwordError}</span><br>
						</c:if> 
    					<form:label class="form-label" path="password">Contraseña: </form:label>
	       				<form:input cssErrorClass="error" class="form-label" path="password" size="30" type="password" maxlength="32" placeholder="Contraseña"/> 
	       				<br>
	       				<form:label class="form-label" path="repeatedPassword">Repetir: </form:label>
	       				<form:input cssErrorClass="error" class="form-label" path="repeatedPassword" size="30" type="password" maxlength="32" placeholder="Repetir contraseña"/> 
	       				<br>
	       				<c:if test='${not empty nicknameError}'>
						    <span class="error">${nicknameError}</span><br>
						</c:if>
	       				<form:label class="form-label" path="nickname">Nickname: </form:label>
	       				<form:input cssErrorClass="error" class="form-label" path="nickname" size="30" maxlength="45" placeholder="Nickname"/> 
	       				<br>
	       				<input class="button" type="submit" value="Registrarse">
    				</form:form>
    				<input type="hidden" id="emailConfirmed" value="${emailConfirmed}"/>
    			</div>
    		</div>
    	</div>
    	<div id="dialog">
    		<p>Tu cuenta ha sido confirmada, ahora puedes loguearte a Gameet para completar la información del registro.</p>
    	</div>
    	<div id="dialog-email">
    		<p>Introduce tu correo electrónico para poder recuperar la contraseña mediante un mensaje de correo.</p>
    		<span id="PR-emailErrorMsg" class="error"></span>
    		<label>Email: </label><input type="text" id="PR-email"/> <br>
    		<input type="button" class="button" value="Enviar" id="PR-sendEmail"/> 
    		<input type="hidden" id="PR-emailError" value="${emailNotUsed}"/>
    	</div>
    	<div id="dialog-password">
    		<p>Introduce tu nueva contraseña</p>
    		<span id="PR-passwordErrorMsg" class="error"></span>
    		<label>Contraseña: </label><input type="password" id="PR-password"/> <br>
    		<label>Repetir contraseña: </label><input type="password" id="PR-repeatPassword"/> <br>
    		<input type="button" class="button" value="Enviar" id="PR-changePassword"/>
    		<input type="hidden" id="PR-passRecov" value="${passwordRecovery}"/>
    		<input type="hidden" id="PR-userId" value="${userId}"/>
    		<input type="hidden" id="csrfToken" value="${_csrf.token}" />
    	</div>
    	<div class="row slogan">
    		<h1 class="title">¡ENCUENTRA JUGADORES</h1>
    		<h1 class="title2">CON QUIEN JUGAR!</h1>
    	</div>	
    </div><!-- /.container -->


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="${mainJs}"></script>
    <spring:url value="/resources/js/bootstrap.min.js" var="mainJs" />  
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
    <spring:url value="/resources/js/custom/login.js" var="loginJs" />  
     <script src="${loginJs}"></script>
  </body>
</html>

