$(document).ready(function() {

   //Datepicker in spanish:
	$.datepicker.regional['es'] = {
		 closeText: 'Cerrar',
		 prevText: '<Ant',
		 nextText: 'Sig>',
		 currentText: 'Hoy',
		 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
		 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
		 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
		 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
		 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
		 weekHeader: 'Sm',
		 dateFormat: 'dd/mm/yy',
		 firstDay: 1,
		 isRTL: false,
		 showMonthAfterYear: false,
		 yearSuffix: ''
		 };
		 $.datepicker.setDefaults($.datepicker.regional['es']);

    $('#calendar').fullCalendar({
        lang: 'es',
        columnFormat: {
            month: 'dddd',    
            week: 'dddd, MMM dS',
            day: 'dddd, MMM dS'
        },
        header: {
            left: 'prev,next today',
            center: 'title',
            right: ''
        },
        height: 650,
        dayClick: function(date, jsEvent, view) {
        	var crsfToken = $("#csrfToken").val();
        	$.ajax({
				url: '/gaming/user/getFriendList',
				method: "POST",
				data: {
					'_csrf' : crsfToken
				},
				success: function(data){
					var htmlToAppend = "";
					var rowCount = 1;
					$(".friend-list > .content").empty();
					$("#friends").empty();
					$.each(data, function(){
						htmlToAppend = htmlToAppend + "<option value='" +this.user2Id+"'>" + this.user2Nickname +"</option>";
					});
					$("#friends").append(htmlToAppend);
				}
			});
            showEventDialog();

        }
    })
    
    function showEventDialog(){
		var dialog = $(".eventForm");
		dialog.prop("title","Nuevo evento");
		dialog.dialog({ 
			dialogClass: 'noTitle',
			modal: true,
			resizable: false,
			closeOnEscape: false,
			open: function(event, ui) { $(".ui-dialog-titlebar-close", ui.dialog | ui).hide(); }
		});
		$(".ui-widget-overlay").on("click", function(){
			dialog.dialog("close");
		});
		$("#dateError").hide();
		$("#hourError").hide();
	}
    
    
    var dateToday = new Date();
    var dates = $("#datepicker").datepicker({
        defaultDate: "+1w",
        changeMonth: true,
        minDate: dateToday,
        showOn: "button",
        buttonImage: "http://jqueryui.com/resources/demos/datepicker/images/calendar.gif",
        buttonImageOnly: true
    });
    
    $("#createEvent").on("click", function(){
    	var date = $("#datepicker").val();
    	var userId = $("#friends").val();
    	var gameId = $("#games").val();
    	var hour = $("#hourInput").val();
    	var crsfToken = $("#csrfToken").val();
    	if(date == ""){
    		$("#dateError").show();
    		$("#hourError").hide();
    	}
    	else if(hour == ""){
    		$("#hourError").show();
    		$("#dateError").hide();
    	}
    	else if(hour != "" && date != ""){
	    	$.ajax({
				url: '/gaming/events/eventInvite',
				method: "POST",
				data: {
					'hour' : hour,
					'gameId' : gameId,
					'date' : date,
					'userId' : userId,
					'_csrf' : crsfToken
				},
				success: function(data){
					if(data == "success"){
						var dialog = $(".eventForm");
						dialog.dialog("close");
						refreshEvents();
					}
				}
			});
    	}
    });
    refreshEvents();
    function refreshEvents(){
	    var crsfToken = $("#csrfToken").val();
	    $.ajax({
			url: '/gaming/events/getEvents',
			method: "POST",
			data: {
				'_csrf' : crsfToken
			},
			success: function(data){
				$.each(data, function(){
					var startDate = this.day;
					var newEvent = new Object();
					if(this.status == 1){
						newEvent.title = this.gameName + " con " + this.user2Nickname + " - " + this.hour + " (Pendiente)";
					}
					else if(this.status == 2){
						newEvent.title = this.gameName + " con " + this.user2Nickname + " - " + this.hour;
					}
					else{
						newEvent.title = this.gameName + " con " + this.user2Nickname + " - " + this.hour + " (Rechazada)";
					}
					newEvent.start = startDate;
					newEvent.allDay = true;
					$('#calendar').fullCalendar( 'renderEvent', newEvent );
				});
			}
		});
    }
    
    

});