$(function(){

	/*Información básica*/
	if($("#passwordError").val().length > 0){
		$("#password").addClass("error");
	}
	if($("#newPasswordError").val().length > 0){
		$("#newPassword").addClass("error");
	}
	if($("#success").val()){
		showSuccessMessage();
	}
	
	$("#age").prop("type","number").prop("min","1").prop("max","110");
	/*Fin información básica*/
	
	/*Juegos*/

	function showIncompleteMessage(){
		var successWindow = $("div.accountComplete");
		successWindow.slideDown('fast',function(){
			$("body").on("click", function(){
				successWindow.slideUp("fast");
			});
		});
	}
	
	function showErrorMessage(){
		var successWindow = $("div.failure");
		successWindow.slideDown('fast',function(){
			setTimeout(function(){
				successWindow.slideUp('fast');
			}, 3000);
		});
	}
	
	function showSuccessMessage(){
		var successWindow = $("div.success");
		successWindow.slideDown('fast',function(){
			setTimeout(function(){
				successWindow.slideUp('fast');
				if($("#profileComplete").prop("value") == "false"){
					showIncompleteMessage();
				}
			}, 3000);
		});
	}
	
	function checkIfAccountIsComplete(){
		var numGenres = $('.removeGenre').length;
		var numPlatforms = $('.removePlatform').length;
		var numLanguage = $('.removeLanguage').length;
		var name = $("input[name='name']").val();
		var surname = $("input[name='surname']").val();
		var email = $("input[name='email']").val();
		var age = $("input[name='age']").val();
		var nickname = $("input[name='nickname']").val();
		var country = $("select[name='country.id']").val();
		if(numGenres >= 1 && numPlatforms >= 1 && numLanguage >= 1 
				&& name !== "" && surname !== "" && email !== ""
					&& age > 1 && nickname !== "" && country !== ""){
			$("#profileComplete").prop("value","true");
		}
	}
	
	retrieveGameList(); //Carga inicial
	$("#gameFilterSubmit").on("click",function(event){
		retrieveGameList();
	});
	
	$(document).on("click",".addGame",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/addGame',
			method: "POST",
			data: {
				'idGame' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#add-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removeGame' id='remove-" + id +"'>");
					$("#add-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$(document).on("click",".removeGame",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/removeGame',
			method: "POST",
			data: {
				'idGame' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#remove-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addGame' id='add-" + id +"'>");
					$("#remove-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$("#gameFilter>input[name='alreadyAdded']").on("click",function(){
		$("#gameFilter>input[name='notAdded']").prop("checked",false);
	});
	
	$("#gameFilter>input[name='notAdded']").on("click",function(){
		$("#gameFilter>input[name='alreadyAdded']").prop("checked",false);
	});
	
	var savedRows = "";
	
	function retrieveGameList(){
		var csrfToken = $("#csrfToken").val();
		var gameName = $("#inputGame").val();
		var selectedGenre = $("#selectGenre").val();
		var selectedPlatform = $("#selectPlatform").val();
		var alreadyAdded = $("#gameFilter>input[name='alreadyAdded']").prop("checked");
		var notAdded = $("#gameFilter>input[name='notAdded']").prop("checked");
		var userId = $("#userId").val();
		
		$.ajax({
			url: '/gaming/utils/games',
			method: "POST",
			data: {
				'game' : gameName,
				'genre' : selectedGenre,
				'platform' : selectedPlatform,
				'alreadyAdded' : alreadyAdded,
				'notAddedOnly' : notAdded,
				'userId' : userId,
				'_csrf' : csrfToken
			},
			success: function(data){
				savedRows = "";
				var table = $("#gamesTable");
				var htmlToAppend = "";
				var iterator = 0;
				var countRows = 0;
				$("#gamesTable").children().find(".row1").remove();
				$("#gamesTable").children().find(".row2").remove();
				$.each(data, function(){
					var classTr = "row1"; 
					if(iterator == 1){
						classTr = "row2";
						iterator = 0;
					}
					else{
						iterator = 1;
					}
					htmlToAppend = htmlToAppend + "<tr class='" + classTr + "'>";
					//id
					var id = this.id;
					//Name
					htmlToAppend = htmlToAppend + "<td colspan='3' width='35%'>" + this.name + "</td>";
					//Genres
					htmlToAppend = htmlToAppend + "<td colspan='2' width='25%'>";
					var genreIt = 0;
					$.each(this.genres, function(i,value){
						if(genreIt == 0){
							htmlToAppend = htmlToAppend + value.descriptionES;
							genreIt++;
						}
						else{
							htmlToAppend = htmlToAppend + ", " + value.descriptionES;
							genreIt++;
						}
					});
					htmlToAppend = htmlToAppend + "</td>";
					//Platforms
					htmlToAppend = htmlToAppend + "<td colspan='1' width='15%'>";
					var genreIt = 0;
					$.each(this.platforms, function(i,value){
						if(genreIt == 0){
							htmlToAppend = htmlToAppend + value.name;
							genreIt++;
						}
						else{
							htmlToAppend = htmlToAppend + ", " + value.name;
							genreIt++;
						}
					});
					htmlToAppend = htmlToAppend + "</td>";
					//AddedByUser
					if(this.addedByUser){
						htmlToAppend = htmlToAppend + "<td colspan='1' width='15%'><img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removeGame' id='remove-" + id +"'></td>";
					}
					else{
						htmlToAppend = htmlToAppend + "<td colspan='1' width='15%'><img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addGame' id='add-" + id +"'></td>";
					}
				});
				countRows++;
				table.append(htmlToAppend);
				checkIfAccountIsComplete();
			}
		});
	}
	/*Fin juegos*/
	
	/* Inicio generos y plataformas */
	
	$("#genreFilterSubmit").on("click",function(event){
		retrieveGenresList();
	});
	
	$(document).on("click",".addGenre",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/addGenre',
			method: "POST",
			data: {
				'idGenre' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#addGenre-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removeGenre' id='removeGenre-" + id +"'>");
					$("#addGenre-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$(document).on("click",".removeGenre",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/removeGenre',
			method: "POST",
			data: {
				'idGenre' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#removeGenre-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addGenre' id='addGenre-" + id +"'>");
					$("#removeGenre-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$("#plataformaFilterSubmit").on("click",function(event){
		retrievePlatformsList();
	});
	
	$(document).on("click",".addPlatform",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/addPlatform',
			method: "POST",
			data: {
				'idPlatform' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#addPlatform-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removePlatform' id='removePlatform-" + id +"'>");
					$("#addPlatform-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$(document).on("click",".removePlatform",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/removePlatform',
			method: "POST",
			data: {
				'idPlatform' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#removePlatform-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addPlatform' id='addPlatform-" + id +"'>");
					$("#removePlatform-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$("#genreFilter>input[name='alreadyAdded']").on("click",function(){
		$("#genreFilter>input[name='notAdded']").prop("checked",false);
	});
	
	$("#genreFilter>input[name='notAdded']").on("click",function(){
		$("#genreFilter>input[name='alreadyAdded']").prop("checked",false);
	});
	
	retrieveGenresList();
	function retrieveGenresList(){
		var csrfToken = $("#csrfToken").val();
		var name = $("#inputGenre").val();
		var alreadyAdded = $("#genreFilter>input[name='alreadyAdded']").prop("checked");
		var notAdded = $("#genreFilter>input[name='notAdded']").prop("checked");
		var userId = $("#userId").val();
		
		$.ajax({
			url: '/gaming/utils/searchGenres',
			method: "POST",
			data: {
				'name' : name,
				'alreadyAdded' : alreadyAdded,
				'notAddedOnly' : notAdded,
				'userId' : userId,
				'_csrf' : csrfToken
			},
			success: function(data){
				savedRows = "";
				var table = $("#genresTable");
				var htmlToAppend = "";
				var iterator = 0;
				var countRows = 0;
				table.children().find(".row1").remove();
				table.children().find(".row2").remove();
				$.each(data, function(){
					var classTr = "row1"; 
					if(iterator == 1){
						classTr = "row2";
						iterator = 0;
					}
					else{
						iterator = 1;
					}
					htmlToAppend = htmlToAppend + "<tr class='" + classTr + "'>";
					//id
					var id = this.id;
					//Name
					htmlToAppend = htmlToAppend + "<td colspan='3' width='75%'>" + this.descriptionES + "</td>";
					//AddedByUser
					if(this.addedByUser){
						htmlToAppend = htmlToAppend + "<td colspan='2' width='25%'><img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removeGenre' id='removeGenre-" + id +"'></td>";
					}
					else{
						htmlToAppend = htmlToAppend + "<td colspan='2' width='25%'><img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addGenre' id='addGenre-" + id +"'></td>";
					}
				});
				countRows++;
				table.append(htmlToAppend);
				checkIfAccountIsComplete();
			}
		});
}
	$("#platformFilter>input[name='alreadyAdded']").on("click",function(){
		$("#platformFilter>input[name='notAdded']").prop("checked",false);
	});
	
	$("#platformFilter>input[name='notAdded']").on("click",function(){
		$("#platformFilter>input[name='alreadyAdded']").prop("checked",false);
	});
	
	retrievePlatformsList();
	function retrievePlatformsList(){
		var csrfToken = $("#csrfToken").val();
		var name = $("#inputPlatform").val();
		var alreadyAdded = $("#platformFilter>input[name='alreadyAdded']").prop("checked");
		var notAdded = $("#platformFilter>input[name='notAdded']").prop("checked");
		var userId = $("#userId").val();
		
		$.ajax({
			url: '/gaming/utils/searchPlatforms',
			method: "POST",
			data: {
				'name' : name,
				'alreadyAdded' : alreadyAdded,
				'notAddedOnly' : notAdded,
				'userId' : userId,
				'_csrf' : csrfToken
			},
			success: function(data){
				savedRows = "";
				var table = $("#platformsTable");
				var htmlToAppend = "";
				var iterator = 0;
				var countRows = 0;
				table.children().find(".row1").remove();
				table.children().find(".row2").remove();
				$.each(data, function(){
					var classTr = "row1"; 
					if(iterator == 1){
						classTr = "row2";
						iterator = 0;
					}
					else{
						iterator = 1;
					}
					htmlToAppend = htmlToAppend + "<tr class='" + classTr + "'>";
					//id
					var id = this.id;
					//Name
					htmlToAppend = htmlToAppend + "<td colspan='3' width='75%'>" + this.name + "</td>";
					//AddedByUser
					if(this.addedByUser){
						htmlToAppend = htmlToAppend + "<td colspan='2' width='25%'><img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removePlatform' id='removePlatform-" + id +"'></td>";
					}
					else{
						htmlToAppend = htmlToAppend + "<td colspan='2' width='25%'><img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addPlatform' id='addPlatform-" + id +"'></td>";
					}
				});
				countRows++;
				table.append(htmlToAppend);
				checkIfAccountIsComplete();
			}
		});
	}
	/* Fin Generos y Plataformas */
	
	/* Tab Lenguajes */
	
	$("#languageFilterSubmit").on("click",function(event){
		retrieveLanguagesList();
	});
	
	$(document).on("click",".addLanguage",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/addLanguage',
			method: "POST",
			data: {
				'idLanguage' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#addLanguage-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removeLanguage' id='removeLanguage-" + id +"'>");
					$("#addLanguage-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$(document).on("click",".removeLanguage",function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split('-')[1];
		$.ajax({
			url: '/gaming/user/removeLanguage',
			method: "POST",
			data: {
				'idLanguage' : id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					var parent = $("#removeLanguage-" + id).parent();
					parent.append("<img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addLanguage' id='addLanguage-" + id +"'>");
					$("#removeLanguage-" + id).remove();
					checkIfAccountIsComplete();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$("#languageFilter>input[name='alreadyAdded']").on("click",function(){
		$("#languageFilter>input[name='notAdded']").prop("checked",false);
	});
	
	$("#languageFilter>input[name='notAdded']").on("click",function(){
		$("#languageFilter>input[name='alreadyAdded']").prop("checked",false);
	});
	
	retrieveLanguagesList();
	function retrieveLanguagesList(){
		var csrfToken = $("#csrfToken").val();
		var name = $("#inputLanguage").val();
		var alreadyAdded = $("#languageFilter>input[name='alreadyAdded']").prop("checked");
		var notAdded = $("#languageFilter>input[name='notAdded']").prop("checked");
		var userId = $("#userId").val();
		
		$.ajax({
			url: '/gaming/utils/searchLanguages',
			method: "POST",
			data: {
				'name' : name,
				'alreadyAdded' : alreadyAdded,
				'notAddedOnly' : notAdded,
				'userId' : userId,
				'_csrf' : csrfToken
			},
			success: function(data){
				savedRows = "";
				var table = $("#languageTable");
				var htmlToAppend = "";
				var iterator = 0;
				var countRows = 0;
				table.children().find(".row1").remove();
				table.children().find(".row2").remove();
				$.each(data, function(){
					var classTr = "row1"; 
					if(iterator == 1){
						classTr = "row2";
						iterator = 0;
					}
					else{
						iterator = 1;
					}
					htmlToAppend = htmlToAppend + "<tr class='" + classTr + "'>";
					//id
					var id = this.id;
					//Name
					htmlToAppend = htmlToAppend + "<td colspan='3' width='75%'>" + this.name + "</td>";
					//AddedByUser
					if(this.addedByUser){
						htmlToAppend = htmlToAppend + "<td colspan='2' width='25%'><img width='20' height='20' src='/gaming/resources/images/icons/minus.png' class='removeLanguage' id='removeLanguage-" + id +"'></td>";
					}
					else{
						htmlToAppend = htmlToAppend + "<td colspan='2' width='25%'><img width='20' height='20' src='/gaming/resources/images/icons/plus.png' class='addLanguage' id='addLanguage-" + id +"'></td>";
					}
				});
				countRows++;
				table.append(htmlToAppend);
				checkIfAccountIsComplete();
			}
		});
	}
	
	/* Fin tab Lenguajes */
	
	/* Tab notificaciones */
	
	$("#notificationSubmit").on("click",function(event){
		var csrfToken = $("#csrfToken").val();
		var notificationsFriends = $("#notificationsFriends").prop("checked");
		var notificationsEvents = $("#notificationsEvents").prop("checked");
		var notificationsNews = $("#notificationsNews").prop("checked");
		var notificationsMessages = $("#notificationsMessages").prop("checked");
		var userId = $("#userId").val();
		
		$.ajax({
			url: '/gaming/user/saveNotificationConfig',
			method: "POST",
			data: {
				'friends' : notificationsFriends,
				'events' : notificationsEvents,
				'news' : notificationsNews,
				'messages' : notificationsMessages,
				'userId' : userId,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data === "success"){
					showSuccessMessage();
				}
				else{
					showErrorMessage();
				}
			}
		});
	});
	
	$("#uploadfile").on("submit", function(e){
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(document.getElementById("uploadfile"));
		var userId = $("#userId").val();
		var csrfToken = $("#csrfToken").val();
		formData.append("userId", userId);
		formData.append("_csrf", csrfToken);
		
		$.ajax({
		    url: "/gaming/file/uploadFile",
		    type: "post",
		    dataType: "html",
		    data: formData,
		    cache: false,
		    contentType: false,
		    processData: false,
		    success: function(data){
		    	if(data === "success"){
		    		var d = new Date();
		    		var source = $("#avatarImg").prop("src");
		    		$("#avatarImg").prop("src",source+ "?" + d.getTime())
		    	}
		    	else{
		    		showErrorMessage();
		    	}
		    }
		});
	});
	
	/* Fin tab notificaciones */
	//Menú lateral
	$(".menu-item").on("click",function(){
		if(!$(this).hasClass("active")){
			$(".menu-item").each(function(){
				$(this).removeClass("active");
			});
			$(this).addClass("active");
			//Mostramos el div del menú activado y ocultamos el resto
			switch($(this).prop('id')){
			case "menuInfo":
				$("#informacion_basica").show();
				$("#juegos").hide();
				$("#generos").hide();
				$("#avatar").hide();
				$("#idiomas").hide();
				$("#notificaciones").hide();
				$("#horario").hide();
				break;
			case "menuJuegos":
				$("#informacion_basica").hide();
				$("#juegos").show();
				$("#generos").hide();
				$("#avatar").hide();
				$("#idiomas").hide();
				$("#notificaciones").hide();
				$("#horario").hide();
				break;
			case "menuGeneros":
				$("#informacion_basica").hide();
				$("#juegos").hide();
				$("#generos").show();
				$("#avatar").hide();
				$("#idiomas").hide();
				$("#notificaciones").hide();
				$("#horario").hide();
				break;
			case "menuAvatar":
				$("#informacion_basica").hide();
				$("#juegos").hide();
				$("#generos").hide();
				$("#avatar").show();
				$("#idiomas").hide();
				$("#notificaciones").hide();
				$("#horario").hide();
				break;
			case "menuIdiomas":
				$("#informacion_basica").hide();
				$("#juegos").hide();
				$("#generos").hide();
				$("#avatar").hide();
				$("#idiomas").show();
				$("#notificaciones").hide();
				$("#horario").hide();
				break;
			case "menuNotificaciones":
				$("#informacion_basica").hide();
				$("#juegos").hide();
				$("#generos").hide();
				$("#avatar").hide();
				$("#idiomas").hide();
				$("#notificaciones").show();
				$("#horario").hide();
				break;
			case "menuHorario":
				$("#informacion_basica").hide();
				$("#juegos").hide();
				$("#generos").hide();
				$("#avatar").hide();
				$("#idiomas").hide();
				$("#notificaciones").hide();
				$("#horario").show();
				break;
			}
			
		}
	});
});