$(function(){
	
	searchSimilarUser();
	$("#searchFormButton").on("click",function(){
		searchUser();
	});
	$("#searchUserButton").on("click",function(){
		searchSimilarUser();
	});
	
	function searchUser(){
		var nickname = $("#searchForm>input[name='nickname']").val();
		var ageForm = $("#searchForm>input[name='ageFrom']").val();
		var ageTo = $("#searchForm>input[name='ageTo']").val();
		var language = $("#searchForm>select[name='language']").val();
		var game = $("#searchForm>select[name='games']").val();
		var genre = $("#searchForm>select[name='genres']").val();
		var platform = $("#searchForm>select[name='platforms']").val();
		var days = "";
		if($("#searchForm>input.dayCheckbox:selected").length > 0){
			$("#searchForm>input.dayCheckbox:selected").each(function(){
				if(days === ""){
					days = $(this).val();
				}
				else{
					days = days + "-" + $(this).val();
				}
			});
		}
		var hourFrom = $("#searchForm>.vertical>input[name='hourFrom']").val();
		var hourTo = $("#searchForm>.vertical>input[name='hourTo']").val();
		var userId = $("#searchForm>input#userId").val();
		var crsfToken = $("#csrfToken").val();
		
		$.ajax({
			url: '/gaming/utils/searchUsers',
			method: "POST",
			data: {
				'nickname' : nickname,
				'ageForm' : ageForm,
				'ageTo' : ageTo,
				'languages' : language,
				'game' : game,
				'platform' : platform,
				'genre' : genre,
				'hourFrom' : hourFrom,
				'hourTo' : hourTo,
				'days' : days,
				'userId' : userId,
				'_csrf' : crsfToken
			},
			beforeSend: function(){
				$(".profile").remove();
				$("#searchResult").hide();
				$("#loading").show();
			},
			success: function(data){
				var htmlToAppend = "";
				$.each(data, function(){
					htmlToAppend = htmlToAppend + "<div class='profile'>";
					htmlToAppend = htmlToAppend + "	<div class='avatar'>";
					if(this.avatar != null){
						htmlToAppend = htmlToAppend + "		<img src='/gaming/user/avatar/" + this.id + "'/>";
					}
					else{
						htmlToAppend = htmlToAppend + "		<img src='/gaming/resources/images/question_mark.png'/>";
					}
					htmlToAppend = htmlToAppend + "	</div>";
					htmlToAppend = htmlToAppend + "	<div class='info'>";
					htmlToAppend = htmlToAppend + "		<div class='userName'><b>" + this.nickname + "</b></div>";
					htmlToAppend = htmlToAppend + "		<div class='userActions'>";
					htmlToAppend = htmlToAppend + "			<img class='icon left' src='/gaming/resources/images/icons/happy2.png'> <b class='actionText'>" + 0 + "</b>";
					if(this.addedByUser){
						htmlToAppend = htmlToAppend + "			<img class='icon right deleteUser' id='delete-" + this.id + "' src='/gaming/resources/images/icons/user-minus.png'>";
					}
					else{
						htmlToAppend = htmlToAppend + "			<img class='icon right addUser' id='add-" + this.id + "' src='/gaming/resources/images/icons/user-plus.png'>";
					}
					htmlToAppend = htmlToAppend + "			<img class='icon right viewUser' id='view-" + this.id + "' src='/gaming/resources/images/icons/eye.png'>";
					htmlToAppend = htmlToAppend + " 	</div>";
					htmlToAppend = htmlToAppend + " </div>";
					htmlToAppend = htmlToAppend + "</div>";
				});
				if(data.length == 0){
					$("#searchResult").append("No se han encontrado resultados.");
				}
				$("#searchResult").append(htmlToAppend);
				setTimeout(function(){
					$("#searchResult").show();
					$("#loading").hide();
				},1000);
			}
		});
	}
	
	function searchSimilarUser(){
		var userId = $("#searchForm>input#userId").val();
		var crsfToken = $("#csrfToken").val();
		
		$.ajax({
			url: '/gaming/utils/searchUsers',
			method: "POST",
			data: {
				'similarUser' : true,
				'userId' : userId,
				'_csrf' : crsfToken
			},
			beforeSend: function(){
				$(".profile").remove();
				$("#searchResult").hide();
				$("#loading").show();
			},
			success: function(data){
				$(".profile").remove();
				var htmlToAppend = "";
				$.each(data, function(){
					htmlToAppend = htmlToAppend + "<div class='profile'>";
					htmlToAppend = htmlToAppend + "	<div class='avatar'>";
					if(this.avatar != null){
						htmlToAppend = htmlToAppend + "		<img src='/gaming/user/avatar/" + this.id + "'/>";
					}
					else{
						htmlToAppend = htmlToAppend + "		<img src='/gaming/resources/images/question_mark.png'/>";
					}
					htmlToAppend = htmlToAppend + "	</div>";
					htmlToAppend = htmlToAppend + "	<div class='info'>";
					htmlToAppend = htmlToAppend + "		<div class='userName'><b>" + this.nickname + "</b></div>";
					htmlToAppend = htmlToAppend + "		<div class='userActions'>";
					htmlToAppend = htmlToAppend + "			<img class='icon left' src='/gaming/resources/images/icons/happy2.png'> <b class='actionText'>" + 0 + "</b>";
					if(this.addedByUser){
						htmlToAppend = htmlToAppend + "			<img class='icon right deleteUser' id='delete-" + this.id + "' src='/gaming/resources/images/icons/user-minus.png'>";
					}
					else{
						htmlToAppend = htmlToAppend + "			<img class='icon right addUser' id='add-" + this.id + "' src='/gaming/resources/images/icons/user-plus.png'>";
					}
					htmlToAppend = htmlToAppend + "			<img class='icon right viewUser' id='view-" + this.id + "' src='/gaming/resources/images/icons/eye.png'>";
					htmlToAppend = htmlToAppend + " 	</div>";
					htmlToAppend = htmlToAppend + " </div>";
					htmlToAppend = htmlToAppend + "</div>";
				});
				if(data.length == 0){
					$("#searchResult").append("No se han encontrado resultados.");
				}
				$("#searchResult").append(htmlToAppend);
				setTimeout(function(){
					$("#searchResult").show();
					$("#loading").hide();
				},1000);
			}
		});
	}
	//Botón de los resultados
	$("body").on("click",".addUser",function(){
		var userId = $(this).prop("id").split("-")[1];
		var crsfToken = $("#csrfToken").val();
		var element = $(this);
		$.ajax({
			url: '/gaming/user/friendInvite',
			method: "POST",
			data: {
				'userId' : userId,
				'_csrf' : crsfToken
			},
			success: function(data){
				if(data == "success"){
					element.parent().children(".viewUser").before("<img class='icon right deleteUser' id='delete-" + userId + "' src='/gaming/resources/images/icons/user-minus.png'>");
					element.remove();
				}
			}
		});
	});
	
	$("body").on("click",".deleteUser",function(){
		var userId = $(this).prop("id").split("-")[1];
		var crsfToken = $("#csrfToken").val();
		var element = $(this);
		$.ajax({
			url: '/gaming/user/deleteFriend',
			method: "POST",
			data: {
				'userId' : userId,
				'_csrf' : crsfToken
			},
			success: function(data){
				if(data == "success"){
					element.parent().children(".viewUser").before("<img class='icon right addUser' id='add-" + userId + "' src='/gaming/resources/images/icons/user-plus.png'>");
					element.remove();
				}
			}
		});
	});
	//Botón de la información de usuario
	$("body").on("click",".addFriend-button",function(){
		var userId = $(this).prop("id").split("-")[1];
		var crsfToken = $("#csrfToken").val();
		var element = $(this);
		$.ajax({
			url: '/gaming/user/friendInvite',
			method: "POST",
			data: {
				'userId' : userId,
				'_csrf' : crsfToken
			},
			success: function(data){
				if(data == "success"){
					element.parent().append("<input type='button' class='deleteFriend-button' id='delete-"+ userId +"' value='Eliminar como amigo'/>");
					element.remove();
					var listElem = $("#add-" + userId);
					listElem.parent().children(".viewUser").before("<img class='icon right deleteUser' id='delete-" + userId + "' src='/gaming/resources/images/icons/user-minus.png'>");
					listElem.remove();
				}
			}
		});
	});
	
	$("body").on("click",".deleteFriend-button",function(){
		var userId = $(this).prop("id").split("-")[1];
		var crsfToken = $("#csrfToken").val();
		var element = $(this);
		$.ajax({
			url: '/gaming/user/deleteFriend',
			method: "POST",
			data: {
				'userId' : userId,
				'_csrf' : crsfToken
			},
			success: function(data){
				if(data == "success"){
					element.parent().append("<input type='button' class='addFriend-button' id='add-"+ userId +"' value='Añadir como amigo'/>");
					element.remove();
					var listElem = $("#delete-" + userId);
					listElem.parent().children(".viewUser").before("<img class='icon right addUser' id='add-" + userId + "' src='/gaming/resources/images/icons/user-plus.png'>");
					listElem.remove();
				}
			}
		});
	});
	
	
	$(".dayCheckbox").change(function(){
		 if(this.checked) {
			 $("#anyDay").prop("checked",false);
		 }
		 else{
			 if($(".dayCheckbox:checked").length == 0){
				 $("#anyDay").prop("checked",true);
			 }
		 }
	});
	
	$("#anyDay").change(function(){
		if(this.checked) {
			 $(".dayCheckbox").prop("checked",false);
		 }
	});
	
	$(".hourInput").change(function(){
		if($(this).val() !== ""){
			 $("#anyHour").prop("checked",false);
		}
		else{
			var empty = false;
			$(".hourInput").each(function(){
				if($(this).val() == ""){
					empty = true;
				}
			});
			if(empty){
				 $("#anyHour").prop("checked",true);
			}
		}
	});
	
	$("#anyHour").change(function(){
		if(this.checked) {
			$(".hourInput").prop("value","");
		}
	});
	
});