$(function(){
	$("body").on("click",".viewUser",function(){
		var userToLookId = $(this).prop("id").split("-")[1];
		var userId = $("#userId").val();
		var crsfToken = $("#csrfToken").val();
		$.ajax({
			url: '/gaming/utils/getUserProfile',
			method: "POST",
			data: {
				'userToSearch' : userToLookId,
				'userId' : userId,
				'_csrf' : crsfToken
			},
			success: function(data){
				var htmlToAppend = "";
				$("#dialog").empty();
				htmlToAppend = htmlToAppend + "<div class='img'>";
				if(this.avatar != ""){
					htmlToAppend = htmlToAppend + "		<img src='/gaming/user/avatar/" + data.id + "'/>";
				}
				else{
					htmlToAppend = htmlToAppend + "		<img src='/gaming/resources/images/question_mark.png'/>";
				}
				htmlToAppend = htmlToAppend + "</div>";
				htmlToAppend = htmlToAppend + "<div class='personalInfo'>";
				htmlToAppend = htmlToAppend + "	<label class='labelText'>País:</label><span>" + data.country.name + "</span><br>";
				htmlToAppend = htmlToAppend + "	<label class='labelText'>Edad:</label><span>" + data.age + "</span><br>";
				htmlToAppend = htmlToAppend + "	<label class='labelText'>Nombre:</label><span>" + data.name + "</span><br>";
				htmlToAppend = htmlToAppend + "	<label class='labelText'>Apellidos:</label><span>" + data.surname + "</span><br>";
				htmlToAppend = htmlToAppend + "	<label class='labelText'>Zona horaria:</label><span>GMT +2</span><br>";
				htmlToAppend = htmlToAppend + "</div>";
				if(data.addedByUser){
					htmlToAppend = htmlToAppend + "<div class='recommendation-params'>";
					htmlToAppend = htmlToAppend + "<label class='labelText'>Recomendar jugador:</label><span>";
					htmlToAppend = htmlToAppend + '<svg class="icon icon-heart recommendation"><use xlink:href="#icon-heart"></use></svg>';
					htmlToAppend = htmlToAppend + '<svg class="icon icon-flag recommendation"><use xlink:href="#icon-flag"></use></svg>';
					htmlToAppend = htmlToAppend + '<svg class="icon icon-book recommendation"><use xlink:href="#icon-book"></use></svg>';
					htmlToAppend = htmlToAppend + "</div>";
				}
				htmlToAppend = htmlToAppend + "<div class='relationsInfo'>";
				htmlToAppend = htmlToAppend + "<label class='labelText'>Géneros preferidos:</label><span>";
				var firstGenre = true;
				$.each(data.genresPrefered,function(){
					if(firstGenre == true){
						htmlToAppend = htmlToAppend + this.descriptionES;
						firstGenre = false;
					}
					else{
						htmlToAppend = htmlToAppend + ", " + this.descriptionES;
					}
				});
				htmlToAppend = htmlToAppend + "</span><br>";
				htmlToAppend = htmlToAppend + "<label class='labelText'>Plataformas preferidas:</label><span>";
				var firstPlatform = true;
				$.each(data.platformsPrefered,function(){
					if(firstPlatform == true){
						htmlToAppend = htmlToAppend + this.name;
						firstPlatform = false;
					}
					else{
						htmlToAppend = htmlToAppend + ", " + this.name;
					}
				});
				
				htmlToAppend = htmlToAppend + "</span><br>";
				
				htmlToAppend = htmlToAppend + "<label class='labelText'>Juegos preferidos:</label><span>";
				var firstGame = true;
				$.each(data.gamesToPlay,function(){
					if(firstGame == true){
						htmlToAppend = htmlToAppend + this.name;
						firstGame = false;
					}
					else{
						htmlToAppend = htmlToAppend + ", " + this.name;
					}
				});
				
				htmlToAppend = htmlToAppend + "</span><br></div>";
				if(data.timetable){
					htmlToAppend = htmlToAppend + "<div class='timetable'>" + 
													"<span class='labelText'>" + 
														"Horario:" + 
													"</span>" + 
													"<table class='timetable'>" +
													"<tr class='header'>" + 
													"<td><b>Lunes</b></td>" + 
													"<td><b>Martes</b></td>" + 
													"<td><b>Miercoles</b></td>" +
													"<td><b>Jueves</b></td>" + 
													"<td><b>Viernes</b></td>" +
													"<td><b>Sábado</b></td>" +
													"<td><b>Domingo</b></td>" +
												   "<tr>";
					var ttMon = [];
					var ttTue = [];
					var ttWed = [];
					var ttThu = [];
					var ttFri = [];
					var ttSat = [];
					var ttSun = [];
					$.each(data.timetable,function(){
						if(this.day == "Mon"){
							ttMon.push(convertMinutesToHour(this.initialTime) + "-" + convertMinutesToHour(this.endingTime));
						}
						else if(this.day == "Tue"){
							ttTue.push(convertMinutesToHour(this.initialTime) + "-" + convertMinutesToHour(this.endingTime));
						}
						else if(this.day == "Wed"){
							ttWed.push(convertMinutesToHour(this.initialTime) + "-" + convertMinutesToHour(this.endingTime));
						}
						else if(this.day == "Thu"){
							ttThu.push(convertMinutesToHour(this.initialTime) + "-" + convertMinutesToHour(this.endingTime));
						}
						else if(this.day == "Fri"){
							ttFri.push(convertMinutesToHour(this.initialTime) + "-" + convertMinutesToHour(this.endingTime));
						}
						else if(this.day == "Sat"){
							ttSat.push(convertMinutesToHour(this.initialTime) + "-" + convertMinutesToHour(this.endingTime));
						}
						else if(this.day == "Sun"){
							ttSun.push(convertMinutesToHour(this.initialTime) + "-" + convertMinutesToHour(this.endingTime));
						}
					});
					htmlToAppend = htmlToAppend + "<tr>";
					htmlToAppend = htmlToAppend + "<td>";
					$.each(ttMon, function(){
						htmlToAppend = htmlToAppend + this + "<br>";
					});
					htmlToAppend = htmlToAppend + "</td>";
					htmlToAppend = htmlToAppend + "<td>";
					$.each(ttTue, function(){
						htmlToAppend = htmlToAppend + this + "<br>";
					});
					htmlToAppend = htmlToAppend + "</td>";
					htmlToAppend = htmlToAppend + "<td>";
					$.each(ttWed, function(){
						htmlToAppend = htmlToAppend + this + "<br>";
					});
					htmlToAppend = htmlToAppend + "</td>";
					htmlToAppend = htmlToAppend + "<td>";
					$.each(ttThu, function(){
						htmlToAppend = htmlToAppend + this + "<br>";
					});
					htmlToAppend = htmlToAppend + "</td>";
					htmlToAppend = htmlToAppend + "<td>";
					$.each(ttFri, function(){
						htmlToAppend = htmlToAppend + this + "<br>";
					});
					htmlToAppend = htmlToAppend + "</td>";
					htmlToAppend = htmlToAppend + "<td>";
					$.each(ttSat, function(){
						htmlToAppend = htmlToAppend + this + "<br>";
					});
					htmlToAppend = htmlToAppend + "</td>";
					htmlToAppend = htmlToAppend + "<td>";
					$.each(ttSun, function(){
						htmlToAppend = htmlToAppend + this + "<br>";
					});
					htmlToAppend = htmlToAppend + "</td>";
					htmlToAppend = htmlToAppend + "</tr>";
					htmlToAppend = htmlToAppend + "</table></div>";
				}
				else{
					htmlToAppend = htmlToAppend + "<span>El usuario no ha especificado ningún horario de juego.</span><br>";
				}
				htmlToAppend = htmlToAppend + "<input type='button' class='sendMessage-button'id='sendPrivateMessage-" + data.id + "' value='Enviar mensaje privado'/>";
				if(!data.addedByUser){
					htmlToAppend = htmlToAppend + "<input type='button' class='addFriend-button addFriendView' id='add-"+data.id +"' value='Añadir como amigo'/>";
				}
				else{
					htmlToAppend = htmlToAppend + "<input type='button' class='deleteFriend-button deleteFriendView' id='delete-"+data.id +"' value='Eliminar como amigo'/>";
				}
				$("#dialog").append(htmlToAppend);
				showDialog(data.nickname);
				
			}
		});
	});
	
	//Botón de la información de usuario
	$("body").on("click",".addFriendView",function(){
		var userId = $(this).prop("id").split("-")[1];
		var crsfToken = $("#csrfToken").val();
		var element = $(this);
		$.ajax({
			url: '/gaming/user/friendInvite',
			method: "POST",
			data: {
				'userId' : userId,
				'_csrf' : crsfToken
			},
			success: function(data){
				if(data == "success"){
					element.parent().append("<input type='button' class='deleteFriend-button' id='delete-"+ userId +"' value='Eliminar como amigo'/>");
					element.remove();
				}
			}
		});
	});
	
	$("body").on("click",".deleteFriendView",function(){
		var userId = $(this).prop("id").split("-")[1];
		var crsfToken = $("#csrfToken").val();
		var element = $(this);
		$.ajax({
			url: '/gaming/user/deleteFriend',
			method: "POST",
			data: {
				'userId' : userId,
				'_csrf' : crsfToken
			},
			success: function(data){
				if(data == "success"){
					element.parent().append("<input type='button' class='addFriend-button' id='add-"+ userId +"' value='Añadir como amigo'/>");
					element.remove();
				}
			}
		});
	});
	
	$("body").on("click",".sendMessage-button",function(){
		var userId = $(this).prop("id").split("-")[1];
		var crsfToken = $("#csrfToken").val();
		window.location.href= "/gaming/inbox/newMessage?userId=" + userId + "&_csrf" + crsfToken;
	});
	
	function convertMinutesToHour(minutes){
		var hour = Math.floor(minutes / 60);
		var realMinutes = minutes - (hour * 60);
		if(realMinutes == 0){
			return hour + ":00";
		}
		return hour + ":" + realMinutes;
	}
	
	function showDialog(userNickname){
		var dialog = $("#dialog");
		dialog.prop("title",userNickname);
		dialog.dialog({ 
			dialogClass: 'noTitle',
			modal: true,
			resizable: false,
			closeOnEscape: false,
			open: function(event, ui) { $(".ui-dialog-titlebar-close", ui.dialog | ui).hide(); }
		});
		$(".ui-widget-overlay").on("click", function(){
			dialog.dialog("close");
		});
	}
	
	
});